package docker

import "github.com/c-bata/go-prompt"

var arguments = []prompt.Suggest{
	{Argument: "", Text: "app", Provider: "argument", Description: "A tool to build and manage Docker Applications."},
	{Argument: "", Text: "attach", Provider: "container", Description: "Attach local standard input, output, and error streams to a running container"},
	{Argument: "", Text: "build", Provider: "", Description: "Build an image from a Dockerfile"},
	{Argument: "", Text: "builder", Provider: "argument", Description: "Manage builds"},
	{Argument: "", Text: "buildx", Provider: "argument", Description: "Build with BuildKit"},
	{Argument: "", Text: "checkpoint", Provider: "argument", Description: "Manage checkpoints"},
	{Argument: "", Text: "cluster", Provider: "argument", Description: "Docker Cluster. This command is only available on Docker Enterprise Edition"},
	{Argument: "", Text: "commit", Provider: "container", Description: "Create a new image from a container’s changes"},
	{Argument: "", Text: "compose", Provider: "argument", Description: "Docker Compose"},
	{Argument: "", Text: "config", Provider: "argument", Description: "Manage Docker configs"},
	{Argument: "", Text: "container", Provider: "argument", Description: "Manage containers"},
	{Argument: "", Text: "context", Provider: "argument", Description: "Manage contexts"},
	{Argument: "", Text: "cp", Provider: "", Description: "Copy files/folders between a container and the local filesystem"},
	{Argument: "", Text: "create", Provider: "image", Description: "Create a new container"},
	{Argument: "", Text: "diff", Provider: "container", Description: "Inspect changes to files or directories on a container’s filesystem"},
	{Argument: "", Text: "events", Provider: "", Description: "Get real time events from the server"},
	{Argument: "", Text: "exec", Provider: "container", Description: "Run a command in a running container"},
	{Argument: "", Text: "export", Provider: "container", Description: "Export a container’s filesystem as a tar archive"},
	{Argument: "", Text: "history", Provider: "image", Description: "Show the history of an image"},
	{Argument: "", Text: "image", Provider: "argument", Description: "Manage images"},
	{Argument: "", Text: "images", Provider: "", Description: "List images"},
	{Argument: "", Text: "import", Provider: "path", Description: "Import the contents from a tarball to create a filesystem image"},
	{Argument: "", Text: "info", Provider: "", Description: "Display system-wide information"},
	{Argument: "", Text: "inspect", Provider: "", Description: "Return low-level information on Docker objects"},
	{Argument: "", Text: "kill", Provider: "container", Description: "Kill one or more running containers"},
	{Argument: "", Text: "load", Provider: "", Description: "Load an image from a tar archive or STDIN"},
	{Argument: "", Text: "login", Provider: "", Description: "Log in to a Docker registry"},
	{Argument: "", Text: "logout", Provider: "", Description: "Log out from a Docker registry"},
	{Argument: "", Text: "logs", Provider: "container", Description: "Fetch the logs of a container"},
	{Argument: "", Text: "manifest", Provider: "argument", Description: "Manage Docker image manifests and manifest lists"},
	{Argument: "", Text: "network", Provider: "argument", Description: "Manage networks"},
	{Argument: "", Text: "node", Provider: "argument", Description: "Manage Swarm nodes"},
	{Argument: "", Text: "pause", Provider: "container", Description: "Pause all processes within one or more containers"},
	{Argument: "", Text: "plugin", Provider: "argument", Description: "Manage plugins"},
	{Argument: "", Text: "port", Provider: "container", Description: "List port mappings or a specific mapping for the container"},
	{Argument: "", Text: "ps", Provider: "", Description: "List containers"},
	{Argument: "", Text: "pull", Provider: "remote_image", Description: "Pull an image or a repository from a registry"},
	{Argument: "", Text: "push", Provider: "image", Description: "Push an image or a repository to a registry"},
	{Argument: "", Text: "rename", Provider: "container", Description: "Rename a container"},
	{Argument: "", Text: "restart", Provider: "container", Description: "Restart one or more containers"},
	{Argument: "", Text: "rm", Provider: "container", Description: "Remove one or more containers"},
	{Argument: "", Text: "rmi", Provider: "image", Description: "Remove one or more images"},
	{Argument: "", Text: "run", Provider: "image", Description: "Run a command in a new container"},
	{Argument: "", Text: "save", Provider: "image", Description: "Save one or more images to a tar archive (streamed to STDOUT by default)"},
	{Argument: "", Text: "search", Provider: "", Description: "Search the Docker Hub for images"},
	{Argument: "", Text: "secret", Provider: "argument", Description: "Manage Docker secrets"},
	{Argument: "", Text: "service", Provider: "argument", Description: "Manage services"},
	{Argument: "", Text: "stack", Provider: "argument", Description: "Manage Docker stacks"},
	{Argument: "", Text: "start", Provider: "container", Description: "Start one or more stopped containers"},
	{Argument: "", Text: "stats", Provider: "", Description: "Display a live stream of container(s) resource usage statistics"},
	{Argument: "", Text: "stop", Provider: "container", Description: "Stop one or more running containers"},
	{Argument: "", Text: "swarm", Provider: "argument", Description: "Manage Swarm"},
	{Argument: "", Text: "system", Provider: "argument", Description: "Manage Docker"},
	{Argument: "", Text: "tag", Provider: "image", Description: "Create a tag TARGET_IMAGE that refers to SOURCE_IMAGE"},
	{Argument: "", Text: "top", Provider: "container", Description: "Display the running processes of a container"},
	{Argument: "", Text: "trust", Provider: "argument", Description: "Manage trust on Docker images"},
	{Argument: "", Text: "unpause", Provider: "container", Description: "Unpause all processes within one or more containers"},
	{Argument: "", Text: "update", Provider: "container", Description: "Update configuration of one or more containers"},
	{Argument: "", Text: "version", Provider: "", Description: "Show the Docker version information"},
	{Argument: "", Text: "volume", Provider: "argument", Description: "Manage volumes"},
	{Argument: "", Text: "wait", Provider: "container", Description: "Block until one or more containers stop, then print their exit codes"},
	{Argument: "app", Text: "bundle", Provider: "", Description: "Create a CNAB invocation image and bundle.json for the application"},
	{Argument: "app", Text: "completion", Provider: "", Description: "Generates completion scripts for the specified shell (bash or zsh)"},
	{Argument: "app", Text: "init", Provider: "", Description: "Initialize Docker Application definition"},
	{Argument: "app", Text: "inspect", Provider: "", Description: "Shows metadata, parameters and a summary of the Compose file for a given application"},
	{Argument: "app", Text: "install", Provider: "", Description: "Install an application"},
	{Argument: "app", Text: "list", Provider: "", Description: "List the installations and their last known installation result"},
	{Argument: "app", Text: "pull", Provider: "", Description: "Pull an application package from a registry"},
	{Argument: "app", Text: "push", Provider: "", Description: "Push an application package to a registry"},
	{Argument: "app", Text: "render", Provider: "", Description: "Render the Compose file for an Application Package"},
	{Argument: "app", Text: "status", Provider: "", Description: "Get the installation status of an application"},
	{Argument: "app", Text: "uninstall", Provider: "", Description: "Uninstall an application"},
	{Argument: "app", Text: "upgrade", Provider: "", Description: "Upgrade an installed application"},
	{Argument: "app", Text: "validate", Provider: "", Description: "Checks the rendered application is syntactically correct"},
	{Argument: "app", Text: "version", Provider: "", Description: "Print version information"},
	{Argument: "builder", Text: "build", Provider: "path", Description: "Build an image from a Dockerfile"},
	{Argument: "builder", Text: "prune", Provider: "", Description: "Remove build cache"},
	{Argument: "buildx", Text: "bake", Provider: "", Description: "Build from a file"},
	{Argument: "buildx", Text: "build", Provider: "path", Description: "Start a build"},
	{Argument: "buildx", Text: "create", Provider: "", Description: "Create a new builder instance"},
	{Argument: "buildx", Text: "du", Provider: "", Description: "Disk usage"},
	{Argument: "buildx", Text: "imagetools", Provider: "argument", Description: "Commands to work on images in registry"},
	{Argument: "buildx", Text: "inspect", Provider: "", Description: "Inspect current builder instance"},
	{Argument: "buildx", Text: "ls", Provider: "", Description: "List builder instances"},
	{Argument: "buildx", Text: "prune", Provider: "", Description: "Remove build cache"},
	{Argument: "buildx", Text: "rm", Provider: "", Description: "Remove a builder instance"},
	{Argument: "buildx", Text: "stop", Provider: "", Description: "Stop builder instance"},
	{Argument: "buildx", Text: "use", Provider: "", Description: "Set the current builder instance"},
	{Argument: "buildx", Text: "version", Provider: "", Description: "Show buildx version information"},
	{Argument: "buildx imagetools", Text: "create", Provider: "", Description: "Create a new image based on source images"},
	{Argument: "buildx imagetools", Text: "inspect", Provider: "", Description: "Show details of image in the registry"},
	{Argument: "checkpoint", Text: "create", Provider: "container", Description: "Create a checkpoint from a running container"},
	{Argument: "checkpoint", Text: "ls", Provider: "container", Description: "List checkpoints for a container"},
	{Argument: "checkpoint", Text: "rm", Provider: "container", Description: "Remove a checkpoint"},
	{Argument: "cluster", Text: "backup", Provider: "", Description: "Backup a running cluster"},
	{Argument: "cluster", Text: "create", Provider: "", Description: "Create a new Docker Cluster"},
	{Argument: "cluster", Text: "inspect", Provider: "", Description: "Display detailed information about a cluster"},
	{Argument: "cluster", Text: "ls", Provider: "", Description: "List all available clusters"},
	{Argument: "cluster", Text: "restore", Provider: "", Description: "Restore a cluster from a backup"},
	{Argument: "cluster", Text: "rm", Provider: "", Description: "Remove a cluster"},
	{Argument: "cluster", Text: "update", Provider: "", Description: "Update a running cluster’s desired state"},
	{Argument: "cluster", Text: "version", Provider: "", Description: "Print Version, Commit, and Build type"},
	{Argument: "compose", Text: "build", Provider: "", Description: "Build or rebuild services"},
	{Argument: "compose", Text: "convert", Provider: "", Description: "Converts the compose file to platform’s canonical format"},
	{Argument: "compose", Text: "cp", Provider: "", Description: "Copy files/folders between a service container and the local filesystem"},
	{Argument: "compose", Text: "create", Provider: "", Description: "Creates containers for a service."},
	{Argument: "compose", Text: "down", Provider: "", Description: "Stop and remove containers, networks"},
	{Argument: "compose", Text: "events", Provider: "", Description: "Receive real time events from containers."},
	{Argument: "compose", Text: "exec", Provider: "", Description: "Execute a command in a running container."},
	{Argument: "compose", Text: "images", Provider: "", Description: "List images used by the created containers"},
	{Argument: "compose", Text: "kill", Provider: "", Description: "Force stop service containers."},
	{Argument: "compose", Text: "logs", Provider: "", Description: "View output from containers"},
	{Argument: "compose", Text: "ls", Provider: "", Description: "List running compose projects"},
	{Argument: "compose", Text: "pause", Provider: "", Description: "pause services"},
	{Argument: "compose", Text: "port", Provider: "", Description: "Print the public port for a port binding."},
	{Argument: "compose", Text: "ps", Provider: "", Description: "List containers"},
	{Argument: "compose", Text: "pull", Provider: "", Description: "Pull service images"},
	{Argument: "compose", Text: "push", Provider: "", Description: "Push service images"},
	{Argument: "compose", Text: "restart", Provider: "", Description: "Restart containers"},
	{Argument: "compose", Text: "rm", Provider: "", Description: "Removes stopped service containers"},
	{Argument: "compose", Text: "run", Provider: "", Description: "Run a one-off command on a service."},
	{Argument: "compose", Text: "start", Provider: "", Description: "Start services"},
	{Argument: "compose", Text: "stop", Provider: "", Description: "Stop services"},
	{Argument: "compose", Text: "top", Provider: "", Description: "Display the running processes"},
	{Argument: "compose", Text: "unpause", Provider: "", Description: "unpause services"},
	{Argument: "compose", Text: "up", Provider: "", Description: "Create and start containers"},
	{Argument: "config", Text: "create", Provider: "path", Description: "Create a config from a file or STDIN"},
	{Argument: "config", Text: "inspect", Provider: "path", Description: "Display detailed information on one or more configs"},
	{Argument: "config", Text: "ls", Provider: "", Description: "List configs"},
	{Argument: "config", Text: "rm", Provider: "", Description: "Remove one or more configs"},
	{Argument: "container", Text: "attach", Provider: "container", Description: "Attach local standard input, output, and error streams to a running container"},
	{Argument: "container", Text: "commit", Provider: "container", Description: "Create a new image from a container’s changes"},
	{Argument: "container", Text: "cp", Provider: "", Description: "Copy files/folders between a container and the local filesystem"},
	{Argument: "container", Text: "create", Provider: "image", Description: "Create a new container"},
	{Argument: "container", Text: "diff", Provider: "container", Description: "Inspect changes to files or directories on a container’s filesystem"},
	{Argument: "container", Text: "exec", Provider: "container", Description: "Run a command in a running container"},
	{Argument: "container", Text: "export", Provider: "container", Description: "Export a container’s filesystem as a tar archive"},
	{Argument: "container", Text: "inspect", Provider: "container", Description: "Display detailed information on one or more containers"},
	{Argument: "container", Text: "kill", Provider: "container", Description: "Kill one or more running containers"},
	{Argument: "container", Text: "logs", Provider: "container", Description: "Fetch the logs of a container"},
	{Argument: "container", Text: "ls", Provider: "", Description: "List containers"},
	{Argument: "container", Text: "pause", Provider: "container", Description: "Pause all processes within one or more containers"},
	{Argument: "container", Text: "port", Provider: "container", Description: "List port mappings or a specific mapping for the container"},
	{Argument: "container", Text: "prune", Provider: "", Description: "Remove all stopped containers"},
	{Argument: "container", Text: "rename", Provider: "container", Description: "Rename a container"},
	{Argument: "container", Text: "restart", Provider: "container", Description: "Restart one or more containers"},
	{Argument: "container", Text: "rm", Provider: "container", Description: "Remove one or more containers"},
	{Argument: "container", Text: "run", Provider: "image", Description: "Run a command in a new container"},
	{Argument: "container", Text: "start", Provider: "container", Description: "Start one or more stopped containers"},
	{Argument: "container", Text: "stats", Provider: "container", Description: "Display a live stream of container(s) resource usage statistics"},
	{Argument: "container", Text: "stop", Provider: "container", Description: "Stop one or more running containers"},
	{Argument: "container", Text: "top", Provider: "container", Description: "Display the running processes of a container"},
	{Argument: "container", Text: "unpause", Provider: "container", Description: "Unpause all processes within one or more containers"},
	{Argument: "container", Text: "update", Provider: "container", Description: "Update configuration of one or more containers"},
	{Argument: "container", Text: "wait", Provider: "container", Description: "Block until one or more containers stop, then print their exit codes"},
	{Argument: "context", Text: "create", Provider: "", Description: "Create a context"},
	{Argument: "context", Text: "export", Provider: "", Description: "Export a context to a tar or kubeconfig file"},
	{Argument: "context", Text: "import", Provider: "", Description: "Import a context from a tar or zip file"},
	{Argument: "context", Text: "inspect", Provider: "", Description: "Display detailed information on one or more contexts"},
	{Argument: "context", Text: "ls", Provider: "", Description: "List contexts"},
	{Argument: "context", Text: "rm", Provider: "", Description: "Remove one or more contexts"},
	{Argument: "context", Text: "update", Provider: "", Description: "Update a context"},
	{Argument: "context", Text: "use", Provider: "", Description: "Set the current docker context"},
	{Argument: "image", Text: "build", Provider: "path", Description: "Build an image from a Dockerfile"},
	{Argument: "image", Text: "history", Provider: "image", Description: "Show the history of an image"},
	{Argument: "image", Text: "import", Provider: "path", Description: "Import the contents from a tarball to create a filesystem image"},
	{Argument: "image", Text: "inspect", Provider: "image", Description: "Display detailed information on one or more images"},
	{Argument: "image", Text: "load", Provider: "", Description: "Load an image from a tar archive or STDIN"},
	{Argument: "image", Text: "ls", Provider: "", Description: "List images"},
	{Argument: "image", Text: "prune", Provider: "", Description: "Remove unused images"},
	{Argument: "image", Text: "pull", Provider: "remote_image", Description: "Pull an image or a repository from a registry"},
	{Argument: "image", Text: "push", Provider: "image", Description: "Push an image or a repository to a registry"},
	{Argument: "image", Text: "rm", Provider: "image", Description: "Remove one or more images"},
	{Argument: "image", Text: "save", Provider: "image", Description: "Save one or more images to a tar archive (streamed to STDOUT by default)"},
	{Argument: "image", Text: "tag", Provider: "image", Description: "Create a tag TARGET_IMAGE that refers to SOURCE_IMAGE"},
	{Argument: "manifest", Text: "annotate", Provider: "", Description: "Add additional information to a local image manifest"},
	{Argument: "manifest", Text: "create", Provider: "", Description: "Create a local manifest list for annotating and pushing to a registry"},
	{Argument: "manifest", Text: "inspect", Provider: "", Description: "Display an image manifest, or manifest list"},
	{Argument: "manifest", Text: "push", Provider: "", Description: "Push a manifest list to a repository"},
	{Argument: "manifest", Text: "rm", Provider: "", Description: "Delete one or more manifest lists from local storage"},
	{Argument: "network", Text: "connect", Provider: "dockernet", Description: "Connect a container to a network"},
	{Argument: "network", Text: "create", Provider: "dockernet", Description: "Create a network"},
	{Argument: "network", Text: "disconnect", Provider: "dockernet", Description: "Disconnect a container from a network"},
	{Argument: "network", Text: "inspect", Provider: "dockernet", Description: "Display detailed information on one or more networks"},
	{Argument: "network", Text: "ls", Provider: "", Description: "List networks"},
	{Argument: "network", Text: "prune", Provider: "", Description: "Remove all unused networks"},
	{Argument: "network", Text: "rm", Provider: "dockernet", Description: "Remove one or more networks"},
	{Argument: "node", Text: "demote", Provider: "", Description: "Demote one or more nodes from manager in the swarm"},
	{Argument: "node", Text: "inspect", Provider: "", Description: "Display detailed information on one or more nodes"},
	{Argument: "node", Text: "ls", Provider: "", Description: "List nodes in the swarm"},
	{Argument: "node", Text: "promote", Provider: "", Description: "Promote one or more nodes to manager in the swarm"},
	{Argument: "node", Text: "ps", Provider: "", Description: "List tasks running on one or more nodes, defaults to current node"},
	{Argument: "node", Text: "rm", Provider: "", Description: "Remove one or more nodes from the swarm"},
	{Argument: "node", Text: "update", Provider: "", Description: "Update a node"},
	{Argument: "plugin", Text: "create", Provider: "", Description: "Create a plugin from a rootfs and configuration. Plugin data directory must contain config.json and rootfs directory."},
	{Argument: "plugin", Text: "disable", Provider: "", Description: "Disable a plugin"},
	{Argument: "plugin", Text: "enable", Provider: "", Description: "Enable a plugin"},
	{Argument: "plugin", Text: "inspect", Provider: "", Description: "Display detailed information on one or more plugins"},
	{Argument: "plugin", Text: "install", Provider: "", Description: "Install a plugin"},
	{Argument: "plugin", Text: "ls", Provider: "", Description: "List plugins"},
	{Argument: "plugin", Text: "push", Provider: "", Description: "Push a plugin to a registry"},
	{Argument: "plugin", Text: "rm", Provider: "", Description: "Remove one or more plugins"},
	{Argument: "plugin", Text: "set", Provider: "", Description: "Change settings for a plugin"},
	{Argument: "plugin", Text: "upgrade", Provider: "", Description: "Upgrade an existing plugin"},
	{Argument: "secret", Text: "create", Provider: "", Description: "Create a secret from a file or STDIN as content"},
	{Argument: "secret", Text: "inspect", Provider: "", Description: "Display detailed information on one or more secrets"},
	{Argument: "secret", Text: "ls", Provider: "", Description: "List secrets"},
	{Argument: "secret", Text: "rm", Provider: "", Description: "Remove one or more secrets"},
	{Argument: "service", Text: "create", Provider: "", Description: "Create a new service"},
	{Argument: "service", Text: "inspect", Provider: "", Description: "Display detailed information on one or more services"},
	{Argument: "service", Text: "logs", Provider: "", Description: "Fetch the logs of a service or task"},
	{Argument: "service", Text: "ls", Provider: "", Description: "List services"},
	{Argument: "service", Text: "ps", Provider: "", Description: "List the tasks of one or more services"},
	{Argument: "service", Text: "rm", Provider: "", Description: "Remove one or more services"},
	{Argument: "service", Text: "rollback", Provider: "", Description: "Revert changes to a service’s configuration"},
	{Argument: "service", Text: "scale", Provider: "", Description: "Scale one or multiple replicated services"},
	{Argument: "service", Text: "update", Provider: "", Description: "Update a service"},
	{Argument: "stack", Text: "deploy", Provider: "", Description: "Deploy a new stack or update an existing stack"},
	{Argument: "stack", Text: "ls", Provider: "", Description: "List stacks"},
	{Argument: "stack", Text: "ps", Provider: "", Description: "List the tasks in the stack"},
	{Argument: "stack", Text: "rm", Provider: "", Description: "Remove one or more stacks"},
	{Argument: "stack", Text: "services", Provider: "", Description: "List the services in the stack"},
	{Argument: "swarm", Text: "ca", Provider: "", Description: "Display and rotate the root CA"},
	{Argument: "swarm", Text: "init", Provider: "", Description: "Initialize a swarm"},
	{Argument: "swarm", Text: "join", Provider: "", Description: "Join a swarm as a node and/or manager"},
	{Argument: "swarm", Text: "join-token", Provider: "", Description: "Manage join tokens"},
	{Argument: "swarm", Text: "leave", Provider: "", Description: "Leave the swarm"},
	{Argument: "swarm", Text: "unlock", Provider: "", Description: "Unlock swarm"},
	{Argument: "swarm", Text: "unlock-key", Provider: "", Description: "Manage the unlock key"},
	{Argument: "swarm", Text: "update", Provider: "", Description: "Update the swarm"},
	{Argument: "system", Text: "df", Provider: "", Description: "Show docker disk usage"},
	{Argument: "system", Text: "events", Provider: "", Description: "Get real time events from the server"},
	{Argument: "system", Text: "info", Provider: "", Description: "Display system-wide information"},
	{Argument: "system", Text: "prune", Provider: "", Description: "Remove unused data"},
	{Argument: "trust", Text: "inspect", Provider: "image", Description: "Return low-level information about keys and signatures"},
	{Argument: "trust", Text: "key", Provider: "argument", Description: "Manage keys for signing Docker images"},
	{Argument: "trust", Text: "revoke", Provider: "image", Description: "Remove trust for an image"},
	{Argument: "trust", Text: "sign", Provider: "image", Description: "Sign an image"},
	{Argument: "trust", Text: "signer", Provider: "argument", Description: "Manage entities who can sign Docker images"},
	{Argument: "trust key", Text: "generate", Provider: "", Description: "Generate and load a signing key-pair"},
	{Argument: "trust key", Text: "load", Provider: "", Description: "Load a private key file for signing"},
	{Argument: "trust signer", Text: "add", Provider: "", Description: "Add a signer"},
	{Argument: "trust signer", Text: "remove", Provider: "", Description: "Remove a signer"},
	{Argument: "volume", Text: "create", Provider: "", Description: "Create a volume"},
	{Argument: "volume", Text: "inspect", Provider: "dockervol", Description: "Display detailed information on one or more volumes"},
	{Argument: "volume", Text: "ls", Provider: "", Description: "List volumes"},
	{Argument: "volume", Text: "prune", Provider: "", Description: "Remove all unused local volumes"},
	{Argument: "volume", Text: "rm", Provider: "dockervol", Description: "Remove one or more volumes"},
}

var options = []prompt.Suggest{
	{Argument: "", Text: "--config", Alias: "", Provider: "path", Description: "Location of client config files (default '/root/.docker')"},
	{Argument: "", Text: "--context", Alias: "-c", Provider: "", Description: "Name of the context to use to connect to the daemon (overrides DOCKER_HOST env var and default context set with 'docker context use')"},
	{Argument: "", Text: "--debug", Alias: "-D", Provider: "", Description: "Enable debug mode"},
	{Argument: "", Text: "--help", Alias: "", Provider: "", Description: "Print usage"},
	{Argument: "", Text: "--host", Alias: "-H", Provider: "", Description: "Daemon socket(s) to connect to (default [])"},
	{Argument: "", Text: "--log-level", Alias: "-l", Provider: "loglevel", Description: "Set the logging level ('debug'|'info'|'warn'|'error'|'fatal') (default 'info')"},
	{Argument: "", Text: "--tls", Alias: "", Provider: "bool", Description: "Use TLS; implied by --tlsverify"},
	{Argument: "", Text: "--tlscacert", Alias: "", Provider: "path", Description: "Trust certs signed only by this CA (default '/root/.docker/ca.pem')"},
	{Argument: "", Text: "--tlscert", Alias: "", Provider: "path", Description: "Path to TLS certificate file (default '/root/.docker/cert.pem')"},
	{Argument: "", Text: "--tlskey", Alias: "", Provider: "path", Description: "Path to TLS key file (default '/root/.docker/key.pem')"},
	{Argument: "", Text: "--tlsverify", Alias: "", Provider: "bool", Description: "Use TLS and verify the remote"},
	{Argument: "", Text: "--version", Alias: "-v", Provider: "", Description: "Print version information and quit"},
	{Argument: "app bundle", Text: "--output", Alias: "-o", Provider: "path", Description: "Output file (- for stdout)"},
	{Argument: "app init", Text: "--compose-file", Alias: "", Provider: "path", Description: "Compose file to use as application base (optional)"},
	{Argument: "app init", Text: "--description", Alias: "", Provider: "", Description: "Human readable description of your application (optional)"},
	{Argument: "app init", Text: "--maintainer", Alias: "", Provider: "", Description: "Name and email address of person responsible for the application (name:email) (optional)"},
	{Argument: "app init", Text: "--single-file", Alias: "", Provider: "path", Description: "Create a single-file Docker Application definition"},
	{Argument: "app inspect", Text: "--insecure-registries", Alias: "", Provider: "bool", Description: "Use HTTP instead of HTTPS when pulling from/pushing to those registries"},
	{Argument: "app inspect", Text: "--parameters-file", Alias: "", Provider: "path", Description: "Override parameters file"},
	{Argument: "app inspect", Text: "--pull", Alias: "", Provider: "bool", Description: "Pull the bundle"},
	{Argument: "app inspect", Text: "--set", Alias: "-s", Provider: "", Description: "Override parameter value"},
	{Argument: "app install", Text: "--credential-set", Alias: "", Provider: "path", Description: "Use a YAML file containing a credential set or a credential set present in the credential store"},
	{Argument: "app install", Text: "--insecure-registries", Alias: "", Provider: "bool", Description: "Use HTTP instead of HTTPS when pulling from/pushing to those registries"},
	{Argument: "app install", Text: "--kubernetes-namespace", Alias: "", Provider: "namespace", Description: "Kubernetes namespace to install into"},
	{Argument: "app install", Text: "--name", Alias: "", Provider: "", Description: "Installation name (defaults to application name)"},
	{Argument: "app install", Text: "--orchestrator", Alias: "", Provider: "orchestrator", Description: "Orchestrator to install on (swarm, kubernetes)"},
	{Argument: "app install", Text: "--parameters-file", Alias: "", Provider: "path", Description: "Override parameters file"},
	{Argument: "app install", Text: "--pull", Alias: "", Provider: "bool", Description: "Pull the bundle"},
	{Argument: "app install", Text: "--set", Alias: "-s", Provider: "", Description: "Override parameter value"},
	{Argument: "app install", Text: "--target-context", Alias: "", Provider: "", Description: "Context on which the application is installed (default: <current-context>)"},
	{Argument: "app install", Text: "--with-registry-auth", Alias: "", Provider: "", Description: "Sends registry auth"},
	{Argument: "app list", Text: "--target-context", Alias: "", Provider: "bool", Description: "List installations on this context"},
	{Argument: "app pull", Text: "--insecure-registries", Alias: "", Provider: "bool", Description: "Use HTTP instead of HTTPS when pulling from/pushing to those registries"},
	{Argument: "app push", Text: "--insecure-registries", Alias: "", Provider: "bool", Description: "Use HTTP instead of HTTPS when pulling from/pushing to those registries"},
	{Argument: "app push", Text: "--platform", Alias: "", Provider: "", Description: "For multi-arch service images, only push the specified platforms"},
	{Argument: "app push", Text: "--tag", Alias: "-t", Provider: "", Description: "Target registry reference (default: <name>:<version> from metadata)"},
	{Argument: "app render", Text: "--formatter", Alias: "", Provider: "output", Description: "Configure the output format (yaml|json)"},
	{Argument: "app render", Text: "--insecure-registries", Alias: "", Provider: "", Description: "Use HTTP instead of HTTPS when pulling from/pushing to those registries"},
	{Argument: "app render", Text: "--output", Alias: "-o", Provider: "path", Description: "Output file (- for stdout)"},
	{Argument: "app render", Text: "--parameters-file", Alias: "", Provider: "path", Description: "Override parameters file"},
	{Argument: "app render", Text: "--pull", Alias: "", Provider: "bool", Description: "Pull the bundle"},
	{Argument: "app render", Text: "--set", Alias: "-s", Provider: "", Description: "Override parameter value"},
	{Argument: "app status", Text: "--credential-set", Alias: "", Provider: "path", Description: "Use a YAML file containing a credential set or a credential set present in the credential store"},
	{Argument: "app status", Text: "--target-context", Alias: "", Provider: "", Description: "Context on which the application is installed (default: <current-context>)"},
	{Argument: "app status", Text: "--with-registry-auth", Alias: "", Provider: "", Description: "Sends registry auth"},
	{Argument: "app uninstall", Text: "--credential-set", Alias: "", Provider: "path", Description: "Use a YAML file containing a credential set or a credential set present in the credential store"},
	{Argument: "app uninstall", Text: "--force", Alias: "", Provider: "bool", Description: "Force removal of installation"},
	{Argument: "app uninstall", Text: "--target-context", Alias: "", Provider: "", Description: "Context on which the application is installed (default: <current-context>)"},
	{Argument: "app uninstall", Text: "--with-registry-auth", Alias: "", Provider: "", Description: "Sends registry auth"},
	{Argument: "app upgrade", Text: "--app-name", Alias: "", Provider: "", Description: "Override the installation with another Application Package"},
	{Argument: "app upgrade", Text: "--credential-set", Alias: "", Provider: "path", Description: "Use a YAML file containing a credential set or a credential set present in the credential store"},
	{Argument: "app upgrade", Text: "--insecure-registries", Alias: "", Provider: "", Description: "Use HTTP instead of HTTPS when pulling from/pushing to those registries"},
	{Argument: "app upgrade", Text: "--parameters-file", Alias: "", Provider: "path", Description: "Override parameters file"},
	{Argument: "app upgrade", Text: "--pull", Alias: "", Provider: "bool", Description: "Pull the bundle"},
	{Argument: "app upgrade", Text: "--set", Alias: "-s", Provider: "", Description: "Override parameter value"},
	{Argument: "app upgrade", Text: "--target-context", Alias: "", Provider: "", Description: "Context on which the application is installed (default: <current-context>)"},
	{Argument: "app upgrade", Text: "--with-registry-auth", Alias: "", Provider: "", Description: "Sends registry auth"},
	{Argument: "app validate", Text: "--set", Alias: "-s", Provider: "", Description: "Override parameter value"},
	{Argument: "app validate", Text: "--parameters-file", Alias: "", Provider: "path", Description: "Override parameters file"},
	{Argument: "attach", Text: "--detach-keys", Alias: "", Provider: "", Description: "Override the key sequence for detaching a container"},
	{Argument: "attach", Text: "--no-stdin", Alias: "", Provider: "bool", Description: "Do not attach STDIN"},
	{Argument: "attach", Text: "--sig-proxy", Alias: "", Provider: "bool", Description: "Proxy all received signals to the process"},
	{Argument: "build", Text: "--add-host", Alias: "", Provider: "", Description: "Add a custom host-to-IP mapping (host:ip)"},
	{Argument: "build", Text: "--build-arg", Alias: "", Provider: "", Description: "Set build-time variables"},
	{Argument: "build", Text: "--cache-from", Alias: "", Provider: "image", Description: "Images to consider as cache sources"},
	{Argument: "build", Text: "--cgroup-parent", Alias: "", Provider: "", Description: "Optional parent cgroup for the container"},
	{Argument: "build", Text: "--compress", Alias: "", Provider: "bool", Description: "Compress the build context using gzip"},
	{Argument: "build", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit the CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "build", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit the CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "build", Text: "--cpu-shares", Alias: "", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "build", Text: "--cpuset-cpus", Alias: "-c", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "build", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "build", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "build", Text: "--file", Alias: "-f", Provider: "path", Description: "Name of the Dockerfile (Default is 'PATH/Dockerfile')"},
	{Argument: "build", Text: "--force-rm", Alias: "", Provider: "bool", Description: "Always remove intermediate containers"},
	{Argument: "build", Text: "--iidfile", Alias: "", Provider: "path", Description: "Write the image ID to the file"},
	{Argument: "build", Text: "--isolation", Alias: "", Provider: "", Description: "Container isolation technology"},
	{Argument: "build", Text: "--label", Alias: "", Provider: "", Description: "Set metadata for an image"},
	{Argument: "build", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "build", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "build", Text: "--network", Alias: "", Provider: "", Description: "Set the networking mode for the RUN instructions during build"},
	{Argument: "build", Text: "--no-cache", Alias: "", Provider: "bool", Description: "Do not use cache when building the image"},
	{Argument: "build", Text: "--output", Alias: "-o", Provider: "", Description: "Output destination (format: type=local,dest=path)"},
	{Argument: "build", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "build", Text: "--progress", Alias: "", Provider: "", Description: "Set type of progress output (auto, plain, tty). Use plain to show container output"},
	{Argument: "build", Text: "--pull", Alias: "", Provider: "bool", Description: "Always attempt to pull a newer version of the image"},
	{Argument: "build", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress the build output and print image ID on success"},
	{Argument: "build", Text: "--rm", Alias: "", Provider: "bool", Description: "Remove intermediate containers after a successful build"},
	{Argument: "build", Text: "--secret", Alias: "", Provider: "", Description: "Secret file to expose to the build (only if BuildKit enabled): id=mysecret,src=/local/secret"},
	{Argument: "build", Text: "--security-opt", Alias: "", Provider: "", Description: "Security options"},
	{Argument: "build", Text: "--shm-size", Alias: "", Provider: "", Description: "Size of /dev/shm"},
	{Argument: "build", Text: "--squash", Alias: "", Provider: "", Description: "Squash newly built layers into a single new layer"},
	{Argument: "build", Text: "--ssh", Alias: "", Provider: "", Description: "SSH agent socket or keys to expose to the build (only if BuildKit enabled) (format: default|<id>[=<socket>|<key>[,<key>]])"},
	{Argument: "build", Text: "--stream", Alias: "", Provider: "", Description: "Stream attaches to server to negotiate build context"},
	{Argument: "build", Text: "--tag", Alias: "-t", Provider: "", Description: "Name and optionally a tag in the 'name:tag' format"},
	{Argument: "build", Text: "--target", Alias: "", Provider: "", Description: "Set the target build stage to build."},
	{Argument: "build", Text: "--ulimit", Alias: "", Provider: "", Description: "Ulimit options"},
	{Argument: "builder build", Text: "--add-host", Alias: "", Provider: "", Description: "Add a custom host-to-IP mapping (host:ip)"},
	{Argument: "builder build", Text: "--build-arg", Alias: "", Provider: "", Description: "Set build-time variables"},
	{Argument: "builder build", Text: "--cache-from", Alias: "", Provider: "", Description: "Images to consider as cache sources"},
	{Argument: "builder build", Text: "--cgroup-parent", Alias: "", Provider: "", Description: "Optional parent cgroup for the container"},
	{Argument: "builder build", Text: "--compress", Alias: "", Provider: "bool", Description: "Compress the build context using gzip"},
	{Argument: "builder build", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit the CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "builder build", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit the CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "builder build", Text: "--cpu-shares", Alias: "-c", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "builder build", Text: "--cpuset-cpus", Alias: "", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "builder build", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "builder build", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "builder build", Text: "--file", Alias: "-f", Provider: "path", Description: "Name of the Dockerfile (Default is 'PATH/Dockerfile')"},
	{Argument: "builder build", Text: "--force-rm", Alias: "", Provider: "", Description: "Always remove intermediate containers"},
	{Argument: "builder build", Text: "--iidfile", Alias: "", Provider: "path", Description: "Write the image ID to the file"},
	{Argument: "builder build", Text: "--isolation", Alias: "", Provider: "", Description: "Container isolation technology"},
	{Argument: "builder build", Text: "--label", Alias: "", Provider: "", Description: "Set metadata for an image"},
	{Argument: "builder build", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "builder build", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "builder build", Text: "--network", Alias: "", Provider: "", Description: "Set the networking mode for the RUN instructions during build"},
	{Argument: "builder build", Text: "--no-cache", Alias: "", Provider: "bool", Description: "Do not use cache when building the image"},
	{Argument: "builder build", Text: "--output", Alias: "-o", Provider: "", Description: "Output destination (format: type=local,dest=path)"},
	{Argument: "builder build", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "builder build", Text: "--progress", Alias: "", Provider: "", Description: "Set type of progress output (auto, plain, tty). Use plain to show container output"},
	{Argument: "builder build", Text: "--pull", Alias: "", Provider: "bool", Description: "Always attempt to pull a newer version of the image"},
	{Argument: "builder build", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress the build output and print image ID on success"},
	{Argument: "builder build", Text: "--rm", Alias: "", Provider: "bool", Description: "Remove intermediate containers after a successful build"},
	{Argument: "builder build", Text: "--secret", Alias: "", Provider: "", Description: "Secret file to expose to the build (only if BuildKit enabled): id=mysecret,src=/local/secret"},
	{Argument: "builder build", Text: "--security-opt", Alias: "", Provider: "", Description: "Security options"},
	{Argument: "builder build", Text: "--shm-size", Alias: "", Provider: "", Description: "Size of /dev/shm"},
	{Argument: "builder build", Text: "--squash", Alias: "", Provider: "bool", Description: "Squash newly built layers into a single new layer"},
	{Argument: "builder build", Text: "--ssh", Alias: "", Provider: "", Description: "SSH agent socket or keys to expose to the build (only if BuildKit enabled) (format: default|<id>[=<socket>|<key>[,<key>]])"},
	{Argument: "builder build", Text: "--stream", Alias: "", Provider: "", Description: "Stream attaches to server to negotiate build context"},
	{Argument: "builder build", Text: "--tag", Alias: "-t", Provider: "", Description: "Name and optionally a tag in the 'name:tag' format"},
	{Argument: "builder build", Text: "--target", Alias: "", Provider: "", Description: "Set the target build stage to build."},
	{Argument: "builder build", Text: "--ulimit", Alias: "", Provider: "", Description: "Ulimit options"},
	{Argument: "builder prune", Text: "--all", Alias: "-a", Provider: "bool", Description: "Remove all unused build cache, not just dangling ones"},
	{Argument: "builder prune", Text: "--filter", Alias: "", Provider: "", Description: "Provide filter values (e.g. 'until=24h')"},
	{Argument: "builder prune", Text: "--force", Alias: "-f", Provider: "bool", Description: "Do not prompt for confirmation"},
	{Argument: "builder prune", Text: "--keep-storage", Alias: "", Provider: "bool", Description: "Amount of disk space to keep for cache"},
	{Argument: "buildx bake", Text: "--file", Alias: "-f", Provider: "path", Description: "Build definition file"},
	{Argument: "buildx bake", Text: "--load", Alias: "", Provider: "bool", Description: "Shorthand for --set=*.output=type=docker"},
	{Argument: "buildx bake", Text: "--no-cache", Alias: "", Provider: "bool", Description: "Do not use cache when building the image"},
	{Argument: "buildx bake", Text: "--print", Alias: "", Provider: "", Description: "Print the options without building"},
	{Argument: "buildx bake", Text: "--progress", Alias: "", Provider: "", Description: "Set type of progress output (auto, plain, tty). Use plain to show container output"},
	{Argument: "buildx bake", Text: "--pull", Alias: "", Provider: "bool", Description: "Always attempt to pull a newer version of the image"},
	{Argument: "buildx bake", Text: "--push", Alias: "", Provider: "bool", Description: "Shorthand for --set=*.output=type=registry"},
	{Argument: "buildx bake", Text: "--set", Alias: "", Provider: "", Description: "Override target value (eg: targetpattern.key=value)"},
	{Argument: "buildx bake", Text: "--builder", Alias: "", Provider: "", Description: "Override the configured builder instance"},
	{Argument: "buildx build", Text: "--add-host", Alias: "", Provider: "", Description: "Add a custom host-to-IP mapping (host:ip)"},
	{Argument: "buildx build", Text: "--allow", Alias: "", Provider: "", Description: "Allow extra privileged entitlement, e.g. network.host, security.insecure"},
	{Argument: "buildx build", Text: "--build-arg", Alias: "", Provider: "", Description: "Set build-time variables"},
	{Argument: "buildx build", Text: "--cache-from", Alias: "", Provider: "", Description: "External cache sources (eg. user/app:cache, type=local,src=path/to/dir)"},
	{Argument: "buildx build", Text: "--cache-to", Alias: "", Provider: "", Description: "Cache export destinations (eg. user/app:cache, type=local,dest=path/to/dir)"},
	{Argument: "buildx build", Text: "--cgroup-parent", Alias: "", Provider: "", Description: "Optional parent cgroup for the container"},
	{Argument: "buildx build", Text: "--compress", Alias: "", Provider: "bool", Description: "Compress the build context using gzip"},
	{Argument: "buildx build", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit the CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "buildx build", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit the CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "buildx build", Text: "--cpu-shares", Alias: "-c", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "buildx build", Text: "--cpuset-cpus", Alias: "", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "buildx build", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "buildx build", Text: "--file", Alias: "-f", Provider: "path", Description: "Name of the Dockerfile (Default is 'PATH/Dockerfile')"},
	{Argument: "buildx build", Text: "--force-rm", Alias: "", Provider: "bool", Description: "Always remove intermediate containers"},
	{Argument: "buildx build", Text: "--iidfile", Alias: "", Provider: "path", Description: "Write the image ID to the file"},
	{Argument: "buildx build", Text: "--isolation", Alias: "", Provider: "", Description: "Container isolation technology"},
	{Argument: "buildx build", Text: "--label", Alias: "", Provider: "", Description: "Set metadata for an image"},
	{Argument: "buildx build", Text: "--load", Alias: "", Provider: "", Description: "Shorthand for --output=type=docker"},
	{Argument: "buildx build", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "buildx build", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "buildx build", Text: "--network", Alias: "", Provider: "", Description: "Set the networking mode for the RUN instructions during build"},
	{Argument: "buildx build", Text: "--no-cache", Alias: "", Provider: "bool", Description: "Do not use cache when building the image"},
	{Argument: "buildx build", Text: "--output", Alias: "-o", Provider: "", Description: "Output destination (format: type=local,dest=path)"},
	{Argument: "buildx build", Text: "--platform", Alias: "", Provider: "", Description: "Set target platform for build"},
	{Argument: "buildx build", Text: "--progress", Alias: "", Provider: "", Description: "Set type of progress output (auto, plain, tty). Use plain to show container output"},
	{Argument: "buildx build", Text: "--pull", Alias: "", Provider: "bool", Description: "Always attempt to pull a newer version of the image"},
	{Argument: "buildx build", Text: "--push", Alias: "", Provider: "bool", Description: "Shorthand for --output=type=registry"},
	{Argument: "buildx build", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress the build output and print image ID on success"},
	{Argument: "buildx build", Text: "--rm", Alias: "", Provider: "bool", Description: "Remove intermediate containers after a successful build"},
	{Argument: "buildx build", Text: "--secret", Alias: "", Provider: "", Description: "Secret file to expose to the build: id=mysecret,src=/local/secret"},
	{Argument: "buildx build", Text: "--security-opt", Alias: "", Provider: "", Description: "Security options"},
	{Argument: "buildx build", Text: "--shm-size", Alias: "", Provider: "", Description: "Size of /dev/shm"},
	{Argument: "buildx build", Text: "--squash", Alias: "", Provider: "", Description: "Squash newly built layers into a single new layer"},
	{Argument: "buildx build", Text: "--ssh", Alias: "", Provider: "", Description: "SSH agent socket or keys to expose to the build (format: default|<id>[=<socket>|<key>[,<key>]])"},
	{Argument: "buildx build", Text: "--tag", Alias: "-t", Provider: "", Description: "Name and optionally a tag in the 'name:tag' format"},
	{Argument: "buildx build", Text: "--target", Alias: "", Provider: "", Description: "Set the target build stage to build."},
	{Argument: "buildx build", Text: "--ulimit", Alias: "", Provider: "", Description: "Ulimit options"},
	{Argument: "buildx build", Text: "--builder", Alias: "", Provider: "", Description: "Override the configured builder instance"},
	{Argument: "buildx create", Text: "--append", Alias: "", Provider: "", Description: "Append a node to builder instead of changing it"},
	{Argument: "buildx create", Text: "--buildkitd-flags", Alias: "", Provider: "", Description: "Flags for buildkitd daemon"},
	{Argument: "buildx create", Text: "--config", Alias: "", Provider: "path", Description: "BuildKit config file"},
	{Argument: "buildx create", Text: "--driver", Alias: "", Provider: "", Description: "Driver to use (available: [])"},
	{Argument: "buildx create", Text: "--driver-opt", Alias: "", Provider: "", Description: "Options for the driver"},
	{Argument: "buildx create", Text: "--leave", Alias: "", Provider: "", Description: "Remove a node from builder instead of changing it"},
	{Argument: "buildx create", Text: "--name", Alias: "", Provider: "", Description: "Builder instance name"},
	{Argument: "buildx create", Text: "--node", Alias: "", Provider: "", Description: "Create/modify node with given name"},
	{Argument: "buildx create", Text: "--platform", Alias: "", Provider: "", Description: "Fixed platforms for current node"},
	{Argument: "buildx create", Text: "--use", Alias: "", Provider: "", Description: "Set the current builder instance"},
	{Argument: "buildx create", Text: "--builder", Alias: "", Provider: "", Description: "Override the configured builder instance"},
	{Argument: "buildx du", Text: "--filter", Alias: "", Provider: "", Description: "Provide filter values"},
	{Argument: "buildx du", Text: "--verbose", Alias: "", Provider: "bool", Description: "Provide a more verbose output"},
	{Argument: "buildx du", Text: "--builder", Alias: "", Provider: "", Description: "Override the configured builder instance"},
	{Argument: "buildx imagetools create", Text: "--append", Alias: "", Provider: "", Description: "Append to existing manifest"},
	{Argument: "buildx imagetools create", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Show final image instead of pushing"},
	{Argument: "buildx imagetools create", Text: "--file", Alias: "-f", Provider: "path", Description: "Read source descriptor from file"},
	{Argument: "buildx imagetools create", Text: "--tag", Alias: "-t", Provider: "", Description: "Set reference for new image"},
	{Argument: "buildx imagetools create", Text: "--builder", Alias: "", Provider: "", Description: "Override the configured builder instance"},
	{Argument: "buildx imagetools inspect", Text: "--raw", Alias: "", Provider: "bool", Description: "Show original JSON manifest"},
	{Argument: "buildx imagetools inspect", Text: "--builder", Alias: "", Provider: "", Description: "Override the configured builder instance"},
	{Argument: "buildx inspect", Text: "--bootstrap", Alias: "", Provider: "bool", Description: "Ensure builder has booted before inspecting"},
	{Argument: "buildx inspect", Text: "--builder", Alias: "", Provider: "", Description: "Override the configured builder instance"},
	{Argument: "buildx prune", Text: "--all", Alias: "-a", Provider: "bool", Description: "Remove all unused images, not just dangling ones"},
	{Argument: "buildx prune", Text: "--filter", Alias: "", Provider: "", Description: "Provide filter values (e.g. 'until=24h')"},
	{Argument: "buildx prune", Text: "--force", Alias: "-f", Provider: "bool", Description: "Do not prompt for confirmation"},
	{Argument: "buildx prune", Text: "--keep-storage", Alias: "", Provider: "bool", Description: "Amount of disk space to keep for cache"},
	{Argument: "buildx prune", Text: "--verbose", Alias: "", Provider: "bool", Description: "Provide a more verbose output"},
	{Argument: "buildx prune", Text: "--builder", Alias: "", Provider: "", Description: "Override the configured builder instance"},
	{Argument: "buildx use", Text: "--default", Alias: "", Provider: "bool", Description: "Set builder as default for current context"},
	{Argument: "buildx use", Text: "--global", Alias: "", Provider: "bool", Description: "Builder persists context changes"},
	{Argument: "buildx use", Text: "--builder", Alias: "", Provider: "", Description: "Override the configured builder instance"},
	{Argument: "checkpoint create", Text: "--checkpoint-dir", Alias: "", Provider: "path", Description: "Use a custom checkpoint storage directory"},
	{Argument: "checkpoint create", Text: "--leave-running", Alias: "", Provider: "bool", Description: "Leave the container running after checkpoint"},
	{Argument: "checkpoint ls", Text: "--checkpoint-dir", Alias: "", Provider: "path", Description: "Use a custom checkpoint storage directory"},
	{Argument: "checkpoint rm", Text: "--checkpoint-dir", Alias: "", Provider: "path", Description: "Use a custom checkpoint storage directory"},
	{Argument: "cluster", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "cluster backup", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "cluster backup", Text: "--file", Alias: "", Provider: "path", Description: "Cluster backup filename"},
	{Argument: "cluster backup", Text: "--passphrase", Alias: "", Provider: "", Description: "Cluster backup passphrase"},
	{Argument: "cluster backup", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster backup", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "cluster create", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "cluster create", Text: "--example", Alias: "", Provider: "", Description: "Display an example cluster declaration"},
	{Argument: "cluster create", Text: "--file", Alias: "", Provider: "path", Description: "Cluster declaration"},
	{Argument: "cluster create", Text: "--name", Alias: "-n", Provider: "", Description: "Name for the cluster"},
	{Argument: "cluster create", Text: "--switch-context", Alias: "-s", Provider: "", Description: "Switch context after cluster create."},
	{Argument: "cluster create", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster create", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "cluster inspect", Text: "--all", Alias: "-a", Provider: "bool", Description: "Display complete info about cluster"},
	{Argument: "cluster inspect", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster inspect", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "cluster ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display numeric IDs"},
	{Argument: "cluster ls", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster ls", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "cluster restore", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "cluster restore", Text: "--file", Alias: "", Provider: "path", Description: "Cluster backup filename"},
	{Argument: "cluster restore", Text: "--passphrase", Alias: "", Provider: "", Description: "Cluster backup passphrase"},
	{Argument: "cluster restore", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster restore", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "cluster rm", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "cluster rm", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force removal of the cluster files"},
	{Argument: "cluster rm", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster rm", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "cluster update", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "cluster update", Text: "--file", Alias: "-f", Provider: "path", Description: "Force removal of the cluster files"},
	{Argument: "cluster update", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster update", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "cluster update", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "cluster update", Text: "--file", Alias: "-f", Provider: "path", Description: "Force removal of the cluster files"},
	{Argument: "cluster update", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster update", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "cluster version", Text: "--json", Alias: "", Provider: "bool", Description: "Formats output as JSON. Implies '--log-level error'"},
	{Argument: "cluster version", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Skip provisioning resources"},
	{Argument: "cluster version", Text: "--log-level", Alias: "", Provider: "loglevel", Description: "Set the logging level ('trace'|'debug'|'info'|'warn'|'error'|'fatal')"},
	{Argument: "commit", Text: "--author", Alias: "-a", Provider: "", Description: "Author (e.g., 'John Hannibal Smith <hannibal@a-team.com>')"},
	{Argument: "commit", Text: "--change", Alias: "-c", Provider: "", Description: "Apply Dockerfile instruction to the created image"},
	{Argument: "commit", Text: "--message", Alias: "-m", Provider: "", Description: "Commit message"},
	{Argument: "commit", Text: "--pause", Alias: "-p", Provider: "bool", Description: "Pause container during commit"},
	{Argument: "compose", Text: "--ansi", Alias: "", Provider: "", Description: "Control when to print ANSI control characters ('never'|'always'|'auto')"},
	{Argument: "compose", Text: "--env-file", Alias: "", Provider: "path", Description: "Specify an alternate environment file."},
	{Argument: "compose", Text: "--file", Alias: "-f", Provider: "path", Description: "Compose configuration files"},
	{Argument: "compose", Text: "--no-ansi", Alias: "", Provider: "bool", Description: "Do not print ANSI control characters (DEPRECATED)"},
	{Argument: "compose", Text: "--profile", Alias: "", Provider: "", Description: "Specify a profile to enable"},
	{Argument: "compose", Text: "--project-directory", Alias: "", Provider: "path", Description: "Specify an alternate working directory (default: the path of the Compose file)"},
	{Argument: "compose", Text: "--project-name", Alias: "-p", Provider: "", Description: "Project name"},
	{Argument: "compose", Text: "--workdir", Alias: "", Provider: "path", Description: "DEPRECATED! USE --project-directory INSTEAD. Specify an alternate working directory (default: the path of the Compose file)"},
	{Argument: "compose build", Text: "--build-arg", Alias: "", Provider: "", Description: "Set build-time variables for services."},
	{Argument: "compose build", Text: "--compress", Alias: "", Provider: "bool", Description: "Compress the build context using gzip. DEPRECATED"},
	{Argument: "compose build", Text: "--force-rm", Alias: "", Provider: "bool", Description: "Always remove intermediate containers. DEPRECATED"},
	{Argument: "compose build", Text: "--memory", Alias: "-m", Provider: "", Description: "Set memory limit for the build container. Not supported on buildkit yet."},
	{Argument: "compose build", Text: "--no-cache", Alias: "", Provider: "bool", Description: "Do not use cache when building the image"},
	{Argument: "compose build", Text: "--no-rm", Alias: "", Provider: "bool", Description: "Do not remove intermediate containers after a successful build. DEPRECATED"},
	{Argument: "compose build", Text: "--parallel", Alias: "", Provider: "bool", Description: "Build images in parallel. DEPRECATED"},
	{Argument: "compose build", Text: "--progress", Alias: "", Provider: "", Description: "Set type of progress output ('auto', 'plain', 'noTty')"},
	{Argument: "compose build", Text: "--pull", Alias: "", Provider: "bool", Description: "Always attempt to pull a newer version of the image."},
	{Argument: "compose build", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Don't print anything to STDOUT"},
	{Argument: "compose convert", Text: "--format", Alias: "", Provider: "output", Description: "Format the output. Values: [yaml | json]"},
	{Argument: "compose convert", Text: "--hash", Alias: "", Provider: "", Description: "Print the service config hash, one per line."},
	{Argument: "compose convert", Text: "--no-interpolate", Alias: "", Provider: "bool", Description: "Don't interpolate environment variables."},
	{Argument: "compose convert", Text: "--profiles", Alias: "", Provider: "", Description: "Print the profile names, one per line."},
	{Argument: "compose convert", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only validate the configuration, don't print anything."},
	{Argument: "compose convert", Text: "--resolve-image-digests", Alias: "", Provider: "bool", Description: "Pin image tags to digests."},
	{Argument: "compose convert", Text: "--services", Alias: "", Provider: "bool", Description: "Print the service names, one per line."},
	{Argument: "compose convert", Text: "--volumes", Alias: "", Provider: "bool", Description: "Print the volume names, one per line."},
	{Argument: "compose create", Text: "--build", Alias: "", Provider: "bool", Description: "Build images before starting containers."},
	{Argument: "compose create", Text: "--force-recreate", Alias: "", Provider: "bool", Description: "Recreate containers even if their configuration and image haven't changed."},
	{Argument: "compose create", Text: "--no-build", Alias: "", Provider: "bool", Description: "Don't build an image, even if it's missing."},
	{Argument: "compose create", Text: "--no-recreate", Alias: "", Provider: "bool", Description: "If containers already exist, don't recreate them. Incompatible with --force-recreate."},
	{Argument: "compose down", Text: "--remove-orphans", Alias: "", Provider: "bool", Description: "Remove containers for services not defined in the Compose file."},
	{Argument: "compose down", Text: "--rmi", Alias: "", Provider: "", Description: "Remove images used by services. 'local' remove only images that don't have a custom tag ('local'|'all')"},
	{Argument: "compose down", Text: "--timeout", Alias: "-t", Provider: "", Description: "Specify a shutdown timeout in seconds"},
	{Argument: "compose down", Text: "--volumes", Alias: "-v", Provider: "", Description: "Remove named volumes declared in the volumes section of the Compose file and anonymous volumes attached to containers."},
	{Argument: "compose events", Text: "--json", Alias: "", Provider: "bool", Description: "Output events as a stream of json objects"},
	{Argument: "compose exec", Text: "--no-TTY", Alias: "-T", Provider: "bool", Description: "Disable pseudo-TTY allocation. By default docker compose exec allocates a TTY."},
	{Argument: "compose exec", Text: "--detach", Alias: "-d", Provider: "bool", Description: "Detached mode: Run command in the background."},
	{Argument: "compose exec", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "compose exec", Text: "--index", Alias: "", Provider: "", Description: "index of the container if there are multiple instances of a service [default: 1]."},
	{Argument: "compose exec", Text: "--privileged", Alias: "", Provider: "bool", Description: "Give extended privileges to the process."},
	{Argument: "compose exec", Text: "--user", Alias: "-u", Provider: "", Description: "Run the command as this user."},
	{Argument: "compose exec", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Path to workdir directory for this command."},
	{Argument: "compose images", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display IDs"},
	{Argument: "compose kill", Text: "--signal", Alias: "-s", Provider: "", Description: "SIGNAL to send to the container."},
	{Argument: "compose logs", Text: "--follow", Alias: "-f", Provider: "bool", Description: "Follow log output."},
	{Argument: "compose logs", Text: "--no-color", Alias: "", Provider: "bool", Description: "Produce monochrome output."},
	{Argument: "compose logs", Text: "--no-log-prefix", Alias: "", Provider: "bool", Description: "Don't print prefix in logs."},
	{Argument: "compose logs", Text: "--timestamps", Alias: "-t", Provider: "bool", Description: "Show timestamps."},
	{Argument: "compose ls", Text: "--filter", Alias: "", Provider: "", Description: "Filter output based on conditions provided."},
	{Argument: "compose ls", Text: "--format", Alias: "", Provider: "", Description: "Format the output. Values: [pretty | json]."},
	{Argument: "compose ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display IDs"},
	{Argument: "compose ps", Text: "--all", Alias: "-a", Provider: "bool", Description: "Show all stopped containers (including those created by the run command)"},
	{Argument: "compose ps", Text: "--format", Alias: "", Provider: "", Description: "Format the output. Values: [pretty | json]."},
	{Argument: "compose ps", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display IDs"},
	{Argument: "compose ps", Text: "--services", Alias: "", Provider: "bool", Description: "Display services"},
	{Argument: "compose pull", Text: "--ignore-pull-failures", Alias: "", Provider: "bool", Description: "Pull what it can and ignores images with pull failures"},
	{Argument: "compose pull", Text: "--include-deps", Alias: "", Provider: "bool", Description: "Also pull services declared as dependencies"},
	{Argument: "compose pull", Text: "--no-parallel", Alias: "", Provider: "bool", Description: "DEPRECATED disable parallel pulling."},
	{Argument: "compose pull", Text: "--parallel", Alias: "", Provider: "bool", Description: "DEPRECATED pull multiple images in parallel."},
	{Argument: "compose pull", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Pull without printing progress information"},
	{Argument: "compose push", Text: "--ignore-push-failures", Alias: "", Provider: "bool", Description: "Push what it can and ignores images with push failures"},
	{Argument: "compose rm", Text: "--all", Alias: "-a", Provider: "bool", Description: "Deprecated - no effect"},
	{Argument: "compose rm", Text: "--force", Alias: "-f", Provider: "bool", Description: "Don't ask to confirm removal"},
	{Argument: "compose rm", Text: "--stop", Alias: "-s", Provider: "bool", Description: "Stop the containers, if required, before removing"},
	{Argument: "compose rm", Text: "--volumes", Alias: "-v", Provider: "bool", Description: "Remove any anonymous volumes attached to containers"},
	{Argument: "compose run", Text: "--detach", Alias: "-d", Provider: "bool", Description: "Run container in background and print container ID"},
	{Argument: "compose run", Text: "--entrypoint", Alias: "", Provider: "", Description: "Override the entrypoint of the image"},
	{Argument: "compose run", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "compose run", Text: "--labels", Alias: "-l", Provider: "", Description: "Add or override a label"},
	{Argument: "compose run", Text: "--name", Alias: "", Provider: "", Description: "Assign a name to the container"},
	{Argument: "compose run", Text: "--no-TTY", Alias: "-T", Provider: "bool", Description: "Disable pseudo-noTty allocation. By default docker compose run allocates a TTY"},
	{Argument: "compose run", Text: "--no-deps", Alias: "", Provider: "bool", Description: "Don't start linked services."},
	{Argument: "compose run", Text: "--publish", Alias: "-p", Provider: "port", Description: "Publish a container's port(s) to the host."},
	{Argument: "compose run", Text: "--rm", Alias: "", Provider: "bool", Description: "Automatically remove the container when it exits"},
	{Argument: "compose run", Text: "--service-ports", Alias: "", Provider: "", Description: "Run command with the service's ports enabled and mapped to the host."},
	{Argument: "compose run", Text: "--use-aliases", Alias: "", Provider: "", Description: "Use the service's network useAliases in the network(s) the container connects to."},
	{Argument: "compose run", Text: "--user", Alias: "-u", Provider: "", Description: "Run as specified username or uid"},
	{Argument: "compose run", Text: "--volumes", Alias: "-v", Provider: "", Description: "Bind mount a volume."},
	{Argument: "compose run", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Working directory inside the container"},
	{Argument: "compose stop", Text: "--timeout", Alias: "-t", Provider: "", Description: "Specify a shutdown timeout in seconds"},
	{Argument: "compose up", Text: "--abort-on-container-exit", Alias: "", Provider: "bool", Description: "Stops all containers if any container was stopped. Incompatible with -d"},
	{Argument: "compose up", Text: "--always-recreate-deps", Alias: "", Provider: "bool", Description: "Recreate dependent containers. Incompatible with --no-recreate."},
	{Argument: "compose up", Text: "--attach-dependencies", Alias: "", Provider: "", Description: "Attach to dependent containers."},
	{Argument: "compose up", Text: "--build", Alias: "", Provider: "bool", Description: "Build images before starting containers."},
	{Argument: "compose up", Text: "--detach", Alias: "-d", Provider: "bool", Description: "Detached mode: Run containers in the background"},
	{Argument: "compose up", Text: "--environment", Alias: "-e", Provider: "", Description: "Environment variables"},
	{Argument: "compose up", Text: "--exit-code-from", Alias: "", Provider: "", Description: "Return the exit code of the selected service container. Implies --abort-on-container-exit"},
	{Argument: "compose up", Text: "--force-recreate", Alias: "", Provider: "bool", Description: "Recreate containers even if their configuration and image haven't changed."},
	{Argument: "compose up", Text: "--no-build", Alias: "", Provider: "bool", Description: "Don't build an image, even if it's missing."},
	{Argument: "compose up", Text: "--no-color", Alias: "", Provider: "bool", Description: "Produce monochrome output."},
	{Argument: "compose up", Text: "--no-deps", Alias: "", Provider: "bool", Description: "Don't start linked services."},
	{Argument: "compose up", Text: "--no-log-prefix", Alias: "", Provider: "bool", Description: "Don't print prefix in logs."},
	{Argument: "compose up", Text: "--no-recreate", Alias: "", Provider: "bool", Description: "If containers already exist, don't recreate them. Incompatible with --force-recreate."},
	{Argument: "compose up", Text: "--no-start", Alias: "", Provider: "bool", Description: "Don't start the services after creating them."},
	{Argument: "compose up", Text: "--quiet-pull", Alias: "", Provider: "bool", Description: "Pull without printing progress information."},
	{Argument: "compose up", Text: "--remove-orphans", Alias: "", Provider: "bool", Description: "Remove containers for services not defined in the Compose file."},
	{Argument: "compose up", Text: "--renew-anon-volumes", Alias: "-V", Provider: "bool", Description: "Recreate anonymous volumes instead of retrieving data from the previous containers."},
	{Argument: "compose up", Text: "--scale", Alias: "", Provider: "", Description: "Scale SERVICE to NUM instances. Overrides the scale setting in the Compose file if present."},
	{Argument: "compose up", Text: "--timeout", Alias: "-t", Provider: "", Description: "Use this timeout in seconds for container shutdown when attached or when containers are already running."},
	{Argument: "config create", Text: "--label", Alias: "-l", Provider: "", Description: "Config labels"},
	{Argument: "config create", Text: "--template-driver", Alias: "", Provider: "", Description: "Template driver"},
	{Argument: "config inspect", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "config inspect", Text: "--pretty", Alias: "", Provider: "bool", Description: "Print the information in a human friendly format"},
	{Argument: "config ls", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "config ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print configs using a Go template"},
	{Argument: "config ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display IDs"},
	{Argument: "container attach", Text: "--detach-keys", Alias: "", Provider: "", Description: "Override the key sequence for detaching a container"},
	{Argument: "container attach", Text: "--no-stdin", Alias: "", Provider: "bool", Description: "Do not attach STDIN"},
	{Argument: "container attach", Text: "--sig-proxy", Alias: "", Provider: "bool", Description: "Proxy all received signals to the process"},
	{Argument: "container commit", Text: "--author", Alias: "-a", Provider: "", Description: "Author (e.g., 'John Hannibal Smith <hannibal@a-team.com>')"},
	{Argument: "container commit", Text: "--change", Alias: "-c", Provider: "", Description: "Apply Dockerfile instruction to the created image"},
	{Argument: "container commit", Text: "--message", Alias: "-m", Provider: "", Description: "Commit message"},
	{Argument: "container commit", Text: "--pause", Alias: "-p", Provider: "bool", Description: "Pause container during commit"},
	{Argument: "container cp", Text: "--archive", Alias: "-a", Provider: "bool", Description: "Archive mode (copy all uid/gid information)"},
	{Argument: "container cp", Text: "--follow-link", Alias: "-L", Provider: "", Description: "Always follow symbol link in SRC_PATH"},
	{Argument: "container create", Text: "--add-host", Alias: "", Provider: "", Description: "Add a custom host-to-IP mapping (host:ip)"},
	{Argument: "container create", Text: "--attach", Alias: "-a", Provider: "", Description: "Attach to STDIN, STDOUT or STDERR"},
	{Argument: "container create", Text: "--blkio-weight", Alias: "", Provider: "", Description: "Block IO (relative weight), between 10 and 1000, or 0 to disable (default 0)"},
	{Argument: "container create", Text: "--blkio-weight-device", Alias: "", Provider: "", Description: "Block IO weight (relative device weight)"},
	{Argument: "container create", Text: "--cap-add", Alias: "", Provider: "", Description: "Add Linux capabilities"},
	{Argument: "container create", Text: "--cap-drop", Alias: "", Provider: "", Description: "Drop Linux capabilities"},
	{Argument: "container create", Text: "--cgroup-parent", Alias: "", Provider: "", Description: "Optional parent cgroup for the container"},
	{Argument: "container create", Text: "--cgroupns", Alias: "", Provider: "", Description: "Cgroup namespace to use (host|private) 'host': Run the container in the Docker host's cgroup namespace 'private': Run the container in its own private cgroup namespace '': Use the cgroup namespace as configured by the default-cgroupns-mode option on the daemon (default)"},
	{Argument: "container create", Text: "--cidfile", Alias: "", Provider: "path", Description: "Write the container ID to the file"},
	{Argument: "container create", Text: "--cpu-count", Alias: "", Provider: "", Description: "CPU count (Windows only)"},
	{Argument: "container create", Text: "--cpu-percent", Alias: "", Provider: "", Description: "CPU percent (Windows only)"},
	{Argument: "container create", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "container create", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "container create", Text: "--cpu-rt-period", Alias: "", Provider: "", Description: "Limit CPU real-time period in microseconds"},
	{Argument: "container create", Text: "--cpu-rt-runtime", Alias: "", Provider: "", Description: "Limit CPU real-time runtime in microseconds"},
	{Argument: "container create", Text: "--cpu-shares", Alias: "-c", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "container create", Text: "--cpus", Alias: "", Provider: "", Description: "Number of CPUs"},
	{Argument: "container create", Text: "--cpuset-cpus", Alias: "", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "container create", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "container create", Text: "--device", Alias: "", Provider: "", Description: "Add a host device to the container"},
	{Argument: "container create", Text: "--device-cgroup-rule", Alias: "", Provider: "", Description: "Add a rule to the cgroup allowed devices list"},
	{Argument: "container create", Text: "--device-read-bps", Alias: "", Provider: "", Description: "Limit read rate (bytes per second) from a device"},
	{Argument: "container create", Text: "--device-read-iops", Alias: "", Provider: "", Description: "Limit read rate (IO per second) from a device"},
	{Argument: "container create", Text: "--device-write-bps", Alias: "", Provider: "", Description: "Limit write rate (bytes per second) to a device"},
	{Argument: "container create", Text: "--device-write-iops", Alias: "", Provider: "", Description: "Limit write rate (IO per second) to a device"},
	{Argument: "container create", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "container create", Text: "--dns", Alias: "", Provider: "", Description: "Set custom DNS servers"},
	{Argument: "container create", Text: "--dns-opt", Alias: "", Provider: "", Description: "Set DNS options"},
	{Argument: "container create", Text: "--dns-option", Alias: "", Provider: "", Description: "Set DNS options"},
	{Argument: "container create", Text: "--dns-search", Alias: "", Provider: "", Description: "Set custom DNS search domains"},
	{Argument: "container create", Text: "--domainname", Alias: "", Provider: "", Description: "Container NIS domain name"},
	{Argument: "container create", Text: "--entrypoint", Alias: "", Provider: "", Description: "Overwrite the default ENTRYPOINT of the image"},
	{Argument: "container create", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "container create", Text: "--env-file", Alias: "", Provider: "path", Description: "Read in a file of environment variables"},
	{Argument: "container create", Text: "--expose", Alias: "", Provider: "", Description: "Expose a port or a range of ports"},
	{Argument: "container create", Text: "--gpus", Alias: "", Provider: "", Description: "GPU devices to add to the container ('all' to pass all GPUs)"},
	{Argument: "container create", Text: "--group-add", Alias: "", Provider: "", Description: "Add additional groups to join"},
	{Argument: "container create", Text: "--health-cmd", Alias: "", Provider: "", Description: "Command to run to check health"},
	{Argument: "container create", Text: "--health-interval", Alias: "", Provider: "", Description: "Time between running the check (ms|s|m|h) (default 0s)"},
	{Argument: "container create", Text: "--health-retries", Alias: "", Provider: "", Description: "Consecutive failures needed to report unhealthy"},
	{Argument: "container create", Text: "--health-start-period", Alias: "", Provider: "", Description: "Start period for the container to initialize before starting health-retries countdown (ms|s|m|h) (default 0s)"},
	{Argument: "container create", Text: "--health-timeout", Alias: "", Provider: "", Description: "Maximum time to allow one check to run (ms|s|m|h) (default 0s)"},
	{Argument: "container create", Text: "--help", Alias: "", Provider: "bool", Description: "Print usage"},
	{Argument: "container create", Text: "--hostname", Alias: "-h", Provider: "", Description: "Container host name"},
	{Argument: "container create", Text: "--init", Alias: "", Provider: "", Description: "Run an init inside the container that forwards signals and reaps processes"},
	{Argument: "container create", Text: "--interactive", Alias: "-i", Provider: "bool", Description: "Keep STDIN open even if not attached"},
	{Argument: "container create", Text: "--io-maxbandwidth", Alias: "", Provider: "", Description: "Maximum IO bandwidth limit for the system drive (Windows only)"},
	{Argument: "container create", Text: "--io-maxiops", Alias: "", Provider: "", Description: "Maximum IOps limit for the system drive (Windows only)"},
	{Argument: "container create", Text: "--ip", Alias: "", Provider: "", Description: "IPv4 address (e.g., 172.30.100.104)"},
	{Argument: "container create", Text: "--ip6", Alias: "", Provider: "", Description: "IPv6 address (e.g., 2001:db8::33)"},
	{Argument: "container create", Text: "--ipc", Alias: "", Provider: "", Description: "IPC mode to use"},
	{Argument: "container create", Text: "--isolation", Alias: "", Provider: "", Description: "Container isolation technology"},
	{Argument: "container create", Text: "--kernel-memory", Alias: "", Provider: "", Description: "Kernel memory limit"},
	{Argument: "container create", Text: "--label", Alias: "-l", Provider: "", Description: "Set meta data on a container"},
	{Argument: "container create", Text: "--label-file", Alias: "", Provider: "path", Description: "Read in a line delimited file of labels"},
	{Argument: "container create", Text: "--link", Alias: "", Provider: "", Description: "Add link to another container"},
	{Argument: "container create", Text: "--link-local-ip", Alias: "", Provider: "", Description: "Container IPv4/IPv6 link-local addresses"},
	{Argument: "container create", Text: "--log-driver", Alias: "", Provider: "", Description: "Logging driver for the container"},
	{Argument: "container create", Text: "--log-opt", Alias: "", Provider: "", Description: "Log driver options"},
	{Argument: "container create", Text: "--mac-address", Alias: "", Provider: "", Description: "Container MAC address (e.g., 92:d0:c6:0a:29:33)"},
	{Argument: "container create", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "container create", Text: "--memory-reservation", Alias: "", Provider: "", Description: "Memory soft limit"},
	{Argument: "container create", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "container create", Text: "--memory-swappiness", Alias: "", Provider: "", Description: "Tune container memory swappiness (0 to 100)"},
	{Argument: "container create", Text: "--mount", Alias: "", Provider: "", Description: "Attach a filesystem mount to the container"},
	{Argument: "container create", Text: "--name", Alias: "", Provider: "", Description: "Assign a name to the container"},
	{Argument: "container create", Text: "--net", Alias: "", Provider: "", Description: "Connect a container to a network"},
	{Argument: "container create", Text: "--net-alias", Alias: "", Provider: "", Description: "Add network-scoped alias for the container"},
	{Argument: "container create", Text: "--network", Alias: "", Provider: "", Description: "Connect a container to a network"},
	{Argument: "container create", Text: "--network-alias", Alias: "", Provider: "", Description: "Add network-scoped alias for the container"},
	{Argument: "container create", Text: "--no-healthcheck", Alias: "", Provider: "bool", Description: "Disable any container-specified HEALTHCHECK"},
	{Argument: "container create", Text: "--oom-kill-disable", Alias: "", Provider: "", Description: "Disable OOM Killer"},
	{Argument: "container create", Text: "--oom-score-adj", Alias: "", Provider: "", Description: "Tune host's OOM preferences (-1000 to 1000)"},
	{Argument: "container create", Text: "--pid", Alias: "", Provider: "", Description: "PID namespace to use"},
	{Argument: "container create", Text: "--pids-limit", Alias: "", Provider: "", Description: "Tune container pids limit (set -1 for unlimited)"},
	{Argument: "container create", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "container create", Text: "--privileged", Alias: "", Provider: "bool", Description: "Give extended privileges to this container"},
	{Argument: "container create", Text: "--publish", Alias: "-p", Provider: "port", Description: "Publish a container's port(s) to the host"},
	{Argument: "container create", Text: "--publish-all", Alias: "-P", Provider: "bool", Description: "Publish all exposed ports to random ports"},
	{Argument: "container create", Text: "--pull", Alias: "", Provider: "", Description: "Pull image before creating ('always'|'missing'|'never')"},
	{Argument: "container create", Text: "--read-only", Alias: "", Provider: "", Description: "Mount the container's root filesystem as read only"},
	{Argument: "container create", Text: "--restart", Alias: "", Provider: "bool", Description: "Restart policy to apply when a container exits"},
	{Argument: "container create", Text: "--rm", Alias: "", Provider: "bool", Description: "Automatically remove the container when it exits"},
	{Argument: "container create", Text: "--runtime", Alias: "", Provider: "", Description: "Runtime to use for this container"},
	{Argument: "container create", Text: "--security-opt", Alias: "", Provider: "", Description: "Security Options"},
	{Argument: "container create", Text: "--shm-size", Alias: "", Provider: "", Description: "Size of /dev/shm"},
	{Argument: "container create", Text: "--stop-signal", Alias: "", Provider: "", Description: "Signal to stop a container"},
	{Argument: "container create", Text: "--stop-timeout", Alias: "", Provider: "", Description: "Timeout (in seconds) to stop a container"},
	{Argument: "container create", Text: "--storage-opt", Alias: "", Provider: "", Description: "Storage driver options for the container"},
	{Argument: "container create", Text: "--sysctl", Alias: "", Provider: "", Description: "Sysctl options"},
	{Argument: "container create", Text: "--tmpfs", Alias: "", Provider: "", Description: "Mount a tmpfs directory"},
	{Argument: "container create", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Allocate a pseudo-TTY"},
	{Argument: "container create", Text: "--ulimit", Alias: "", Provider: "", Description: "Ulimit options"},
	{Argument: "container create", Text: "--user", Alias: "-u", Provider: "", Description: "Username or UID (format: <name|uid>[:<group|gid>])"},
	{Argument: "container create", Text: "--userns", Alias: "", Provider: "", Description: "User namespace to use"},
	{Argument: "container create", Text: "--uts", Alias: "", Provider: "", Description: "UTS namespace to use"},
	{Argument: "container create", Text: "--volume", Alias: "-v", Provider: "", Description: "Bind mount a volume"},
	{Argument: "container create", Text: "--volume-driver", Alias: "", Provider: "", Description: "Optional volume driver for the container"},
	{Argument: "container create", Text: "--volumes-from", Alias: "", Provider: "", Description: "Mount volumes from the specified container(s)"},
	{Argument: "container create", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Working directory inside the container"},
	{Argument: "container create", Text: "-it", Alias: "", Provider: "bool", Description: "Allocate a interactive pseudo-TTY"},
	{Argument: "container exec", Text: "--detach", Alias: "-d", Provider: "bool", Description: "Detached mode: run command in the background"},
	{Argument: "container exec", Text: "--detach-keys", Alias: "", Provider: "", Description: "Override the key sequence for detaching a container"},
	{Argument: "container exec", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "container exec", Text: "--env-file", Alias: "", Provider: "path", Description: "Read in a file of environment variables"},
	{Argument: "container exec", Text: "--interactive", Alias: "-i", Provider: "bool", Description: "Keep STDIN open even if not attached"},
	{Argument: "container exec", Text: "--privileged", Alias: "", Provider: "", Description: "Give extended privileges to the command"},
	{Argument: "container exec", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Allocate a pseudo-TTY"},
	{Argument: "container exec", Text: "--user", Alias: "-u", Provider: "", Description: "Username or UID (format: <name|uid>[:<group|gid>])"},
	{Argument: "container exec", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Working directory inside the container"},
	{Argument: "container exec", Text: "-it", Alias: "", Provider: "bool", Description: "Allocate a interactive pseudo-TTY"},
	{Argument: "container export", Text: "--output", Alias: "-o", Provider: "path", Description: "Write to a file, instead of STDOUT"},
	{Argument: "container inspect", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "container inspect", Text: "--size", Alias: "-s", Provider: "bool", Description: "Display total file sizes"},
	{Argument: "container kill", Text: "--signal", Alias: "-s", Provider: "", Description: "Signal to send to the container"},
	{Argument: "container kill", Text: "--details", Alias: "", Provider: "bool", Description: "Show extra details provided to logs"},
	{Argument: "container kill", Text: "--follow", Alias: "-f", Provider: "", Description: "Follow log output"},
	{Argument: "container kill", Text: "--since", Alias: "", Provider: "", Description: "Show logs since timestamp (e.g. 2013-01-02T13:23:37Z) or relative (e.g. 42m for 42 minutes)"},
	{Argument: "container kill", Text: "--tail", Alias: "-n", Provider: "", Description: "Number of lines to show from the end of the logs"},
	{Argument: "container kill", Text: "--timestamps", Alias: "-t", Provider: "bool", Description: "Show timestamps"},
	{Argument: "container kill", Text: "--until", Alias: "", Provider: "", Description: "Show logs before a timestamp (e.g. 2013-01-02T13:23:37Z) or relative (e.g. 42m for 42 minutes)"},
	{Argument: "container ls", Text: "--all", Alias: "-a", Provider: "bool", Description: "Show all containers (default shows just running)"},
	{Argument: "container ls", Text: "--filter ", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "container ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print containers using a Go template"},
	{Argument: "container ls", Text: "--last", Alias: "-n", Provider: "", Description: "Show n last created containers (includes all states)"},
	{Argument: "container ls", Text: "--latest", Alias: "-l", Provider: "bool", Description: "Show the latest created container (includes all states)"},
	{Argument: "container ls", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Don't truncate output"},
	{Argument: "container ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display container IDs"},
	{Argument: "container ls", Text: "--size", Alias: "-s", Provider: "bool", Description: "Display total file sizes"},
	{Argument: "container prune", Text: "--filter", Alias: "", Provider: "", Description: "Provide filter values (e.g. 'until=<timestamp>')"},
	{Argument: "container prune", Text: "--force", Alias: "-f", Provider: "bool", Description: "Do not prompt for confirmation"},
	{Argument: "container restart", Text: "--time", Alias: "-t", Provider: "", Description: "Seconds to wait for stop before killing the container"},
	{Argument: "container rm", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force the removal of a running container (uses SIGKILL)"},
	{Argument: "container rm", Text: "--link", Alias: "-l", Provider: "bool", Description: "Remove the specified link"},
	{Argument: "container rm", Text: "--volumes", Alias: "-v", Provider: "bool", Description: "Remove anonymous volumes associated with the container"},
	{Argument: "container run", Text: "--add-host", Alias: "", Provider: "", Description: "Add a custom host-to-IP mapping (host:ip)"},
	{Argument: "container run", Text: "--attach", Alias: "-a", Provider: "", Description: "Attach to STDIN, STDOUT or STDERR"},
	{Argument: "container run", Text: "--blkio-weight", Alias: "", Provider: "", Description: "Block IO (relative weight), between 10 and 1000, or 0 to disable (default 0)"},
	{Argument: "container run", Text: "--blkio-weight-device", Alias: "", Provider: "", Description: "Block IO weight (relative device weight)"},
	{Argument: "container run", Text: "--cap-add", Alias: "", Provider: "", Description: "Add Linux capabilities"},
	{Argument: "container run", Text: "--cap-drop", Alias: "", Provider: "", Description: "Drop Linux capabilities"},
	{Argument: "container run", Text: "--cgroup-parent", Alias: "", Provider: "", Description: "Optional parent cgroup for the container"},
	{Argument: "container run", Text: "--cgroupns", Alias: "", Provider: "", Description: "Cgroup namespace to use (host|private) 'host': Run the container in the Docker host's cgroup namespace 'private': Run the container in its own private cgroup namespace '': Use the cgroup namespace as configured by the default-cgroupns-mode option on the daemon (default)"},
	{Argument: "container run", Text: "--cidfile", Alias: "", Provider: "path", Description: "Write the container ID to the file"},
	{Argument: "container run", Text: "--cpu-count", Alias: "", Provider: "", Description: "CPU count (Windows only)"},
	{Argument: "container run", Text: "--cpu-percent", Alias: "", Provider: "", Description: "CPU percent (Windows only)"},
	{Argument: "container run", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "container run", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "container run", Text: "--cpu-rt-period", Alias: "", Provider: "", Description: "Limit CPU real-time period in microseconds"},
	{Argument: "container run", Text: "--cpu-rt-runtime", Alias: "", Provider: "", Description: "Limit CPU real-time runtime in microseconds"},
	{Argument: "container run", Text: "--cpu-shares", Alias: "-c", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "container run", Text: "--cpus", Alias: "", Provider: "", Description: "Number of CPUs"},
	{Argument: "container run", Text: "--cpuset-cpus", Alias: "", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "container run", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "container run", Text: "--device", Alias: "", Provider: "", Description: "Add a host device to the container"},
	{Argument: "container run", Text: "--device-cgroup-rule", Alias: "", Provider: "", Description: "Add a rule to the cgroup allowed devices list"},
	{Argument: "container run", Text: "--device-read-bps", Alias: "", Provider: "", Description: "Limit read rate (bytes per second) from a device"},
	{Argument: "container run", Text: "--device-read-iops", Alias: "", Provider: "", Description: "Limit read rate (IO per second) from a device"},
	{Argument: "container run", Text: "--device-write-bps", Alias: "", Provider: "", Description: "Limit write rate (bytes per second) to a device"},
	{Argument: "container run", Text: "--device-write-iops", Alias: "", Provider: "", Description: "Limit write rate (IO per second) to a device"},
	{Argument: "container run", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "container run", Text: "--dns", Alias: "", Provider: "", Description: "Set custom DNS servers"},
	{Argument: "container run", Text: "--dns-opt", Alias: "", Provider: "", Description: "Set DNS options"},
	{Argument: "container run", Text: "--dns-option", Alias: "", Provider: "", Description: "Set DNS options"},
	{Argument: "container run", Text: "--dns-search", Alias: "", Provider: "", Description: "Set custom DNS search domains"},
	{Argument: "container run", Text: "--domainname", Alias: "", Provider: "", Description: "Container NIS domain name"},
	{Argument: "container run", Text: "--entrypoint", Alias: "", Provider: "", Description: "Overwrite the default ENTRYPOINT of the image"},
	{Argument: "container run", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "container run", Text: "--env-file", Alias: "", Provider: "path", Description: "Read in a file of environment variables"},
	{Argument: "container run", Text: "--expose", Alias: "", Provider: "", Description: "Expose a port or a range of ports"},
	{Argument: "container run", Text: "--gpus", Alias: "", Provider: "", Description: "GPU devices to add to the container ('all' to pass all GPUs)"},
	{Argument: "container run", Text: "--group-add", Alias: "", Provider: "", Description: "Add additional groups to join"},
	{Argument: "container run", Text: "--health-cmd", Alias: "", Provider: "", Description: "Command to run to check health"},
	{Argument: "container run", Text: "--health-interval", Alias: "", Provider: "", Description: "Time between running the check (ms|s|m|h) (default 0s)"},
	{Argument: "container run", Text: "--health-retries", Alias: "", Provider: "", Description: "Consecutive failures needed to report unhealthy"},
	{Argument: "container run", Text: "--health-start-period", Alias: "", Provider: "", Description: "Start period for the container to initialize before starting health-retries countdown (ms|s|m|h) (default 0s)"},
	{Argument: "container run", Text: "--health-timeout", Alias: "", Provider: "", Description: "Maximum time to allow one check to run (ms|s|m|h) (default 0s)"},
	{Argument: "container run", Text: "--help", Alias: "", Provider: "bool", Description: "Print usage"},
	{Argument: "container run", Text: "--hostname", Alias: "-h", Provider: "", Description: "Container host name"},
	{Argument: "container run", Text: "--init", Alias: "", Provider: "", Description: "Run an init inside the container that forwards signals and reaps processes"},
	{Argument: "container run", Text: "--interactive", Alias: "-i", Provider: "bool", Description: "Keep STDIN open even if not attached"},
	{Argument: "container run", Text: "--io-maxbandwidth", Alias: "", Provider: "", Description: "Maximum IO bandwidth limit for the system drive (Windows only)"},
	{Argument: "container run", Text: "--io-maxiops", Alias: "", Provider: "", Description: "Maximum IOps limit for the system drive (Windows only)"},
	{Argument: "container run", Text: "--ip", Alias: "", Provider: "", Description: "IPv4 address (e.g., 172.30.100.104)"},
	{Argument: "container run", Text: "--ip6", Alias: "", Provider: "", Description: "IPv6 address (e.g., 2001:db8::33)"},
	{Argument: "container run", Text: "--ipc", Alias: "", Provider: "", Description: "IPC mode to use"},
	{Argument: "container run", Text: "--isolation", Alias: "", Provider: "", Description: "Container isolation technology"},
	{Argument: "container run", Text: "--kernel-memory", Alias: "", Provider: "", Description: "Kernel memory limit"},
	{Argument: "container run", Text: "--label", Alias: "-l", Provider: "", Description: "Set meta data on a container"},
	{Argument: "container run", Text: "--label-file", Alias: "", Provider: "path", Description: "Read in a line delimited file of labels"},
	{Argument: "container run", Text: "--link", Alias: "", Provider: "", Description: "Add link to another container"},
	{Argument: "container run", Text: "--link-local-ip", Alias: "", Provider: "", Description: "Container IPv4/IPv6 link-local addresses"},
	{Argument: "container run", Text: "--log-driver", Alias: "", Provider: "", Description: "Logging driver for the container"},
	{Argument: "container run", Text: "--log-opt", Alias: "", Provider: "", Description: "Log driver options"},
	{Argument: "container run", Text: "--mac-address", Alias: "", Provider: "", Description: "Container MAC address (e.g., 92:d0:c6:0a:29:33)"},
	{Argument: "container run", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "container run", Text: "--memory-reservation", Alias: "", Provider: "", Description: "Memory soft limit"},
	{Argument: "container run", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "container run", Text: "--memory-swappiness", Alias: "", Provider: "", Description: "Tune container memory swappiness (0 to 100)"},
	{Argument: "container run", Text: "--mount", Alias: "", Provider: "", Description: "Attach a filesystem mount to the container"},
	{Argument: "container run", Text: "--name", Alias: "", Provider: "", Description: "Assign a name to the container"},
	{Argument: "container run", Text: "--net", Alias: "", Provider: "", Description: "Connect a container to a network"},
	{Argument: "container run", Text: "--net-alias", Alias: "", Provider: "", Description: "Add network-scoped alias for the container"},
	{Argument: "container run", Text: "--network", Alias: "", Provider: "", Description: "Connect a container to a network"},
	{Argument: "container run", Text: "--network-alias", Alias: "", Provider: "", Description: "Add network-scoped alias for the container"},
	{Argument: "container run", Text: "--no-healthcheck", Alias: "", Provider: "bool", Description: "Disable any container-specified HEALTHCHECK"},
	{Argument: "container run", Text: "--oom-kill-disable", Alias: "", Provider: "", Description: "Disable OOM Killer"},
	{Argument: "container run", Text: "--oom-score-adj", Alias: "", Provider: "", Description: "Tune host's OOM preferences (-1000 to 1000)"},
	{Argument: "container run", Text: "--pid", Alias: "", Provider: "", Description: "PID namespace to use"},
	{Argument: "container run", Text: "--pids-limit", Alias: "", Provider: "", Description: "Tune container pids limit (set -1 for unlimited)"},
	{Argument: "container run", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "container run", Text: "--privileged", Alias: "", Provider: "bool", Description: "Give extended privileges to this container"},
	{Argument: "container run", Text: "--publish", Alias: "-p", Provider: "port", Description: "Publish a container's port(s) to the host"},
	{Argument: "container run", Text: "--publish-all", Alias: "-P", Provider: "bool", Description: "Publish all exposed ports to random ports"},
	{Argument: "container run", Text: "--pull", Alias: "", Provider: "", Description: "Pull image before creating ('always'|'missing'|'never')"},
	{Argument: "container run", Text: "--read-only", Alias: "", Provider: "", Description: "Mount the container's root filesystem as read only"},
	{Argument: "container run", Text: "--restart", Alias: "", Provider: "bool", Description: "Restart policy to apply when a container exits"},
	{Argument: "container run", Text: "--rm", Alias: "", Provider: "bool", Description: "Automatically remove the container when it exits"},
	{Argument: "container run", Text: "--runtime", Alias: "", Provider: "", Description: "Runtime to use for this container"},
	{Argument: "container run", Text: "--security-opt", Alias: "", Provider: "", Description: "Security Options"},
	{Argument: "container run", Text: "--shm-size", Alias: "", Provider: "", Description: "Size of /dev/shm"},
	{Argument: "container run", Text: "--stop-signal", Alias: "", Provider: "", Description: "Signal to stop a container"},
	{Argument: "container run", Text: "--stop-timeout", Alias: "", Provider: "", Description: "Timeout (in seconds) to stop a container"},
	{Argument: "container run", Text: "--storage-opt", Alias: "", Provider: "", Description: "Storage driver options for the container"},
	{Argument: "container run", Text: "--sysctl", Alias: "", Provider: "", Description: "Sysctl options"},
	{Argument: "container run", Text: "--tmpfs", Alias: "", Provider: "", Description: "Mount a tmpfs directory"},
	{Argument: "container run", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Allocate a pseudo-TTY"},
	{Argument: "container run", Text: "--ulimit", Alias: "", Provider: "", Description: "Ulimit options"},
	{Argument: "container run", Text: "--user", Alias: "-u", Provider: "", Description: "Username or UID (format: <name|uid>[:<group|gid>])"},
	{Argument: "container run", Text: "--userns", Alias: "", Provider: "", Description: "User namespace to use"},
	{Argument: "container run", Text: "--uts", Alias: "", Provider: "", Description: "UTS namespace to use"},
	{Argument: "container run", Text: "--volume", Alias: "-v", Provider: "", Description: "Bind mount a volume"},
	{Argument: "container run", Text: "--volume-driver", Alias: "", Provider: "", Description: "Optional volume driver for the container"},
	{Argument: "container run", Text: "--volumes-from", Alias: "", Provider: "", Description: "Mount volumes from the specified container(s)"},
	{Argument: "container run", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Working directory inside the container"},
	{Argument: "container run", Text: "-it", Alias: "", Provider: "bool", Description: "Allocate a interactive pseudo-TTY"},
	{Argument: "container run", Text: "--detach", Alias: "-d", Provider: "", Description: "Run container in background and print container ID"},
	{Argument: "container run", Text: "--detach-keys", Alias: "", Provider: "", Description: "Override the key sequence for detaching a container"},
	{Argument: "container run", Text: "--sig-proxy", Alias: "", Provider: "bool", Description: "Security Options"},
	{Argument: "container start", Text: "--attach", Alias: "-a", Provider: "", Description: "Attach STDOUT/STDERR and forward signals"},
	{Argument: "container start", Text: "--checkpoint", Alias: "", Provider: "", Description: "Restore from this checkpoint"},
	{Argument: "container start", Text: "--checkpoint-dir", Alias: "", Provider: "path", Description: "Use a custom checkpoint storage directory"},
	{Argument: "container start", Text: "--detach-keys", Alias: "", Provider: "", Description: "Override the key sequence for detaching a container"},
	{Argument: "container start", Text: "--interactive", Alias: "-i", Provider: "bool", Description: "Attach container's STDIN"},
	{Argument: "container stats", Text: "--all", Alias: "-a", Provider: "bool", Description: "Show all containers (default shows just running)"},
	{Argument: "container stats", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print images using a Go template"},
	{Argument: "container stats", Text: "--no-stream", Alias: "", Provider: "bool", Description: "Disable streaming stats and only pull the first result"},
	{Argument: "container stats", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Do not truncate output"},
	{Argument: "container stop", Text: "--time", Alias: "-t", Provider: "", Description: "Seconds to wait for stop before killing it"},
	{Argument: "container update", Text: "--blkio-weight", Alias: "", Provider: "", Description: "Block IO (relative weight), between 10 and 1000, or 0 to disable (default 0)"},
	{Argument: "container update", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "container update", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "container update", Text: "--cpu-rt-period", Alias: "", Provider: "", Description: "Limit the CPU real-time period in microseconds"},
	{Argument: "container update", Text: "--cpu-rt-runtime", Alias: "", Provider: "", Description: "Limit the CPU real-time runtime in microseconds"},
	{Argument: "container update", Text: "--cpu-shares", Alias: "-c", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "container update", Text: "--cpus", Alias: "", Provider: "", Description: "Number of CPUs"},
	{Argument: "container update", Text: "--cpuset-cpus", Alias: "", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "container update", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "container update", Text: "--kernel-memory", Alias: "", Provider: "", Description: "Kernel memory limit"},
	{Argument: "container update", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "container update", Text: "--memory-reservation", Alias: "", Provider: "", Description: "Memory soft limit"},
	{Argument: "container update", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "container update", Text: "--pids-limit", Alias: "", Provider: "", Description: "Tune container pids limit (set -1 for unlimited)"},
	{Argument: "container update", Text: "--restart", Alias: "", Provider: "bool", Description: "Restart policy to apply when a container exits"},
	{Argument: "context create", Text: "--default-stack-orchestrator", Alias: "", Provider: "", Description: "Default orchestrator for stack operations to use with this context (swarm|kubernetes|all)"},
	{Argument: "context create", Text: "--description", Alias: "", Provider: "", Description: "Description of the context"},
	{Argument: "context create", Text: "--docker", Alias: "", Provider: "", Description: "Set the docker endpoint"},
	{Argument: "context create", Text: "--from", Alias: "", Provider: "", Description: "Create context from a named context"},
	{Argument: "context create", Text: "--kubernetes", Alias: "", Provider: "", Description: "Set the kubernetes endpoint"},
	{Argument: "context export", Text: "--kubeconfig", Alias: "", Provider: "path", Description: "Export as a kubeconfig file"},
	{Argument: "context ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print contexts using a Go template"},
	{Argument: "context ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only show context names"},
	{Argument: "context rm", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force the removal of a context in use"},
	{Argument: "context update", Text: "--default-stack-orchestrator", Alias: "", Provider: "", Description: "Default orchestrator for stack operations to use with this context (swarm|kubernetes|all)"},
	{Argument: "context update", Text: "--description", Alias: "", Provider: "", Description: "Description of the context"},
	{Argument: "context update", Text: "--docker", Alias: "", Provider: "", Description: "Set the docker endpoint"},
	{Argument: "context update", Text: "--kubernetes", Alias: "", Provider: "", Description: "Set the kubernetes endpoint"},
	{Argument: "cp", Text: "--archive", Alias: "-a", Provider: "bool", Description: "Archive mode (copy all uid/gid information)"},
	{Argument: "cp", Text: "--follow-link", Alias: "-L", Provider: "bool", Description: "Always follow symbol link in SRC_PATH"},
	{Argument: "create", Text: "--add-host", Alias: "", Provider: "", Description: "Add a custom host-to-IP mapping (host:ip)"},
	{Argument: "create", Text: "--attach", Alias: "-a", Provider: "", Description: "Attach to STDIN, STDOUT or STDERR"},
	{Argument: "create", Text: "--blkio-weight", Alias: "", Provider: "", Description: "Block IO (relative weight), between 10 and 1000, or 0 to disable (default 0)"},
	{Argument: "create", Text: "--blkio-weight-device", Alias: "", Provider: "", Description: "Block IO weight (relative device weight)"},
	{Argument: "create", Text: "--cap-add", Alias: "", Provider: "", Description: "Add Linux capabilities"},
	{Argument: "create", Text: "--cap-drop", Alias: "", Provider: "", Description: "Drop Linux capabilities"},
	{Argument: "create", Text: "--cgroup-parent", Alias: "", Provider: "", Description: "Optional parent cgroup for the container"},
	{Argument: "create", Text: "--cgroupns", Alias: "", Provider: "", Description: "Cgroup namespace to use (host|private) 'host': Run the container in the Docker host's cgroup namespace 'private': Run the container in its own private cgroup namespace '': Use the cgroup namespace as configured by the default-cgroupns-mode option on the daemon (default)"},
	{Argument: "create", Text: "--cidfile", Alias: "", Provider: "path", Description: "Write the container ID to the file"},
	{Argument: "create", Text: "--cpu-count", Alias: "", Provider: "", Description: "CPU count (Windows only)"},
	{Argument: "create", Text: "--cpu-percent", Alias: "", Provider: "", Description: "CPU percent (Windows only)"},
	{Argument: "create", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "create", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "create", Text: "--cpu-rt-period", Alias: "", Provider: "", Description: "Limit CPU real-time period in microseconds"},
	{Argument: "create", Text: "--cpu-rt-runtime", Alias: "", Provider: "", Description: "Limit CPU real-time runtime in microseconds"},
	{Argument: "create", Text: "--cpu-shares", Alias: "-c", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "create", Text: "--cpus", Alias: "", Provider: "", Description: "Number of CPUs"},
	{Argument: "create", Text: "--cpuset-cpus", Alias: "", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "create", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "create", Text: "--device", Alias: "", Provider: "", Description: "Add a host device to the container"},
	{Argument: "create", Text: "--device-cgroup-rule", Alias: "", Provider: "", Description: "Add a rule to the cgroup allowed devices list"},
	{Argument: "create", Text: "--device-read-bps", Alias: "", Provider: "", Description: "Limit read rate (bytes per second) from a device"},
	{Argument: "create", Text: "--device-read-iops", Alias: "", Provider: "", Description: "Limit read rate (IO per second) from a device"},
	{Argument: "create", Text: "--device-write-bps", Alias: "", Provider: "", Description: "Limit write rate (bytes per second) to a device"},
	{Argument: "create", Text: "--device-write-iops", Alias: "", Provider: "", Description: "Limit write rate (IO per second) to a device"},
	{Argument: "create", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "create", Text: "--dns", Alias: "", Provider: "", Description: "Set custom DNS servers"},
	{Argument: "create", Text: "--dns-opt", Alias: "", Provider: "", Description: "Set DNS options"},
	{Argument: "create", Text: "--dns-option", Alias: "", Provider: "", Description: "Set DNS options"},
	{Argument: "create", Text: "--dns-search", Alias: "", Provider: "", Description: "Set custom DNS search domains"},
	{Argument: "create", Text: "--domainname", Alias: "", Provider: "", Description: "Container NIS domain name"},
	{Argument: "create", Text: "--entrypoint", Alias: "", Provider: "", Description: "Overwrite the default ENTRYPOINT of the image"},
	{Argument: "create", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "create", Text: "--env-file", Alias: "", Provider: "path", Description: "Read in a file of environment variables"},
	{Argument: "create", Text: "--expose", Alias: "", Provider: "", Description: "Expose a port or a range of ports"},
	{Argument: "create", Text: "--gpus", Alias: "", Provider: "", Description: "GPU devices to add to the container ('all' to pass all GPUs)"},
	{Argument: "create", Text: "--group-add", Alias: "", Provider: "", Description: "Add additional groups to join"},
	{Argument: "create", Text: "--health-cmd", Alias: "", Provider: "", Description: "Command to run to check health"},
	{Argument: "create", Text: "--health-interval", Alias: "", Provider: "", Description: "Time between running the check (ms|s|m|h) (default 0s)"},
	{Argument: "create", Text: "--health-retries", Alias: "", Provider: "", Description: "Consecutive failures needed to report unhealthy"},
	{Argument: "create", Text: "--health-start-period", Alias: "", Provider: "", Description: "Start period for the container to initialize before starting health-retries countdown (ms|s|m|h) (default 0s)"},
	{Argument: "create", Text: "--health-timeout", Alias: "", Provider: "", Description: "Maximum time to allow one check to run (ms|s|m|h) (default 0s)"},
	{Argument: "create", Text: "--help", Alias: "", Provider: "bool", Description: "Print usage"},
	{Argument: "create", Text: "--hostname", Alias: "-h", Provider: "", Description: "Container host name"},
	{Argument: "create", Text: "--init", Alias: "", Provider: "", Description: "Run an init inside the container that forwards signals and reaps processes"},
	{Argument: "create", Text: "--interactive", Alias: "-i", Provider: "bool", Description: "Keep STDIN open even if not attached"},
	{Argument: "create", Text: "--io-maxbandwidth", Alias: "", Provider: "", Description: "Maximum IO bandwidth limit for the system drive (Windows only)"},
	{Argument: "create", Text: "--io-maxiops", Alias: "", Provider: "", Description: "Maximum IOps limit for the system drive (Windows only)"},
	{Argument: "create", Text: "--ip", Alias: "", Provider: "", Description: "IPv4 address (e.g., 172.30.100.104)"},
	{Argument: "create", Text: "--ip6", Alias: "", Provider: "", Description: "IPv6 address (e.g., 2001:db8::33)"},
	{Argument: "create", Text: "--ipc", Alias: "", Provider: "", Description: "IPC mode to use"},
	{Argument: "create", Text: "--isolation", Alias: "", Provider: "", Description: "Container isolation technology"},
	{Argument: "create", Text: "--kernel-memory", Alias: "", Provider: "", Description: "Kernel memory limit"},
	{Argument: "create", Text: "--label", Alias: "-l", Provider: "", Description: "Set meta data on a container"},
	{Argument: "create", Text: "--label-file", Alias: "", Provider: "path", Description: "Read in a line delimited file of labels"},
	{Argument: "create", Text: "--link", Alias: "", Provider: "", Description: "Add link to another container"},
	{Argument: "create", Text: "--link-local-ip", Alias: "", Provider: "", Description: "Container IPv4/IPv6 link-local addresses"},
	{Argument: "create", Text: "--log-driver", Alias: "", Provider: "", Description: "Logging driver for the container"},
	{Argument: "create", Text: "--log-opt", Alias: "", Provider: "", Description: "Log driver options"},
	{Argument: "create", Text: "--mac-address", Alias: "", Provider: "", Description: "Container MAC address (e.g., 92:d0:c6:0a:29:33)"},
	{Argument: "create", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "create", Text: "--memory-reservation", Alias: "", Provider: "", Description: "Memory soft limit"},
	{Argument: "create", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "create", Text: "--memory-swappiness", Alias: "", Provider: "", Description: "Tune container memory swappiness (0 to 100)"},
	{Argument: "create", Text: "--mount", Alias: "", Provider: "", Description: "Attach a filesystem mount to the container"},
	{Argument: "create", Text: "--name", Alias: "", Provider: "", Description: "Assign a name to the container"},
	{Argument: "create", Text: "--net", Alias: "", Provider: "", Description: "Connect a container to a network"},
	{Argument: "create", Text: "--net-alias", Alias: "", Provider: "", Description: "Add network-scoped alias for the container"},
	{Argument: "create", Text: "--network", Alias: "", Provider: "", Description: "Connect a container to a network"},
	{Argument: "create", Text: "--network-alias", Alias: "", Provider: "", Description: "Add network-scoped alias for the container"},
	{Argument: "create", Text: "--no-healthcheck", Alias: "", Provider: "bool", Description: "Disable any container-specified HEALTHCHECK"},
	{Argument: "create", Text: "--oom-kill-disable", Alias: "", Provider: "", Description: "Disable OOM Killer"},
	{Argument: "create", Text: "--oom-score-adj", Alias: "", Provider: "", Description: "Tune host's OOM preferences (-1000 to 1000)"},
	{Argument: "create", Text: "--pid", Alias: "", Provider: "", Description: "PID namespace to use"},
	{Argument: "create", Text: "--pids-limit", Alias: "", Provider: "", Description: "Tune container pids limit (set -1 for unlimited)"},
	{Argument: "create", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "create", Text: "--privileged", Alias: "", Provider: "bool", Description: "Give extended privileges to this container"},
	{Argument: "create", Text: "--publish", Alias: "-p", Provider: "port", Description: "Publish a container's port(s) to the host"},
	{Argument: "create", Text: "--publish-all", Alias: "-P", Provider: "bool", Description: "Publish all exposed ports to random ports"},
	{Argument: "create", Text: "--pull", Alias: "", Provider: "", Description: "Pull image before creating ('always'|'missing'|'never')"},
	{Argument: "create", Text: "--read-only", Alias: "", Provider: "", Description: "Mount the container's root filesystem as read only"},
	{Argument: "create", Text: "--restart", Alias: "", Provider: "bool", Description: "Restart policy to apply when a container exits"},
	{Argument: "create", Text: "--rm", Alias: "", Provider: "bool", Description: "Automatically remove the container when it exits"},
	{Argument: "create", Text: "--runtime", Alias: "", Provider: "", Description: "Runtime to use for this container"},
	{Argument: "create", Text: "--security-opt", Alias: "", Provider: "", Description: "Security Options"},
	{Argument: "create", Text: "--shm-size", Alias: "", Provider: "", Description: "Size of /dev/shm"},
	{Argument: "create", Text: "--stop-signal", Alias: "", Provider: "", Description: "Signal to stop a container"},
	{Argument: "create", Text: "--stop-timeout", Alias: "", Provider: "", Description: "Timeout (in seconds) to stop a container"},
	{Argument: "create", Text: "--storage-opt", Alias: "", Provider: "", Description: "Storage driver options for the container"},
	{Argument: "create", Text: "--sysctl", Alias: "", Provider: "", Description: "Sysctl options"},
	{Argument: "create", Text: "--tmpfs", Alias: "", Provider: "", Description: "Mount a tmpfs directory"},
	{Argument: "create", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Allocate a pseudo-TTY"},
	{Argument: "create", Text: "--ulimit", Alias: "", Provider: "", Description: "Ulimit options"},
	{Argument: "create", Text: "--user", Alias: "-u", Provider: "", Description: "Username or UID (format: <name|uid>[:<group|gid>])"},
	{Argument: "create", Text: "--userns", Alias: "", Provider: "", Description: "User namespace to use"},
	{Argument: "create", Text: "--uts", Alias: "", Provider: "", Description: "UTS namespace to use"},
	{Argument: "create", Text: "--volume", Alias: "-v", Provider: "", Description: "Bind mount a volume"},
	{Argument: "create", Text: "--volume-driver", Alias: "", Provider: "", Description: "Optional volume driver for the container"},
	{Argument: "create", Text: "--volumes-from", Alias: "", Provider: "", Description: "Mount volumes from the specified container(s)"},
	{Argument: "create", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Working directory inside the container"},
	{Argument: "create", Text: "-it", Alias: "", Provider: "bool", Description: "Allocate a interactive pseudo-TTY"},
	{Argument: "events", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "events", Text: "--format", Alias: "", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "events", Text: "--since", Alias: "", Provider: "", Description: "Show all events created since timestamp"},
	{Argument: "events", Text: "--until", Alias: "", Provider: "", Description: "Stream events until this timestamp"},
	{Argument: "exec", Text: "--detach", Alias: "-d", Provider: "bool", Description: "Detached mode: run command in the background"},
	{Argument: "exec", Text: "--detach-keys", Alias: "", Provider: "", Description: "Override the key sequence for detaching a container"},
	{Argument: "exec", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "exec", Text: "--env-file", Alias: "", Provider: "path", Description: "Read in a file of environment variables"},
	{Argument: "exec", Text: "--interactive", Alias: "-i", Provider: "bool", Description: "Keep STDIN open even if not attached"},
	{Argument: "exec", Text: "--privileged", Alias: "", Provider: "", Description: "Give extended privileges to the command"},
	{Argument: "exec", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Allocate a pseudo-TTY"},
	{Argument: "exec", Text: "--user", Alias: "-u", Provider: "", Description: "Username or UID (format: <name|uid>[:<group|gid>])"},
	{Argument: "exec", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Working directory inside the container"},
	{Argument: "export", Text: "--output", Alias: "-o", Provider: "path", Description: "Write to a file, instead of STDOUT"},
	{Argument: "history", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print images using a Go template"},
	{Argument: "history", Text: "--human", Alias: "-H", Provider: "bool", Description: "Print sizes and dates in human readable format"},
	{Argument: "history", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Don't truncate output"},
	{Argument: "history", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only show image IDs"},
	{Argument: "image build", Text: "--add-host", Alias: "", Provider: "", Description: "Add a custom host-to-IP mapping (host:ip)"},
	{Argument: "image build", Text: "--build-arg", Alias: "", Provider: "", Description: "Set build-time variables"},
	{Argument: "image build", Text: "--cache-from", Alias: "", Provider: "image", Description: "Images to consider as cache sources"},
	{Argument: "image build", Text: "--cgroup-parent", Alias: "", Provider: "", Description: "Optional parent cgroup for the container"},
	{Argument: "image build", Text: "--compress", Alias: "", Provider: "bool", Description: "Compress the build context using gzip"},
	{Argument: "image build", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit the CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "image build", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit the CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "image build", Text: "--cpu-shares", Alias: "", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "image build", Text: "--cpuset-cpus", Alias: "-c", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "image build", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "image build", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "image build", Text: "--file", Alias: "-f", Provider: "path", Description: "Name of the Dockerfile (Default is 'PATH/Dockerfile')"},
	{Argument: "image build", Text: "--force-rm", Alias: "", Provider: "bool", Description: "Always remove intermediate containers"},
	{Argument: "image build", Text: "--iidfile", Alias: "", Provider: "path", Description: "Write the image ID to the file"},
	{Argument: "image build", Text: "--isolation", Alias: "", Provider: "", Description: "Container isolation technology"},
	{Argument: "image build", Text: "--label", Alias: "", Provider: "", Description: "Set metadata for an image"},
	{Argument: "image build", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "image build", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "image build", Text: "--network", Alias: "", Provider: "", Description: "Set the networking mode for the RUN instructions during build"},
	{Argument: "image build", Text: "--no-cache", Alias: "", Provider: "bool", Description: "Do not use cache when building the image"},
	{Argument: "image build", Text: "--output", Alias: "-o", Provider: "", Description: "Output destination (format: type=local,dest=path)"},
	{Argument: "image build", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "image build", Text: "--progress", Alias: "", Provider: "", Description: "Set type of progress output (auto, plain, tty). Use plain to show container output"},
	{Argument: "image build", Text: "--pull", Alias: "", Provider: "bool", Description: "Always attempt to pull a newer version of the image"},
	{Argument: "image build", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress the build output and print image ID on success"},
	{Argument: "image build", Text: "--rm", Alias: "", Provider: "bool", Description: "Remove intermediate containers after a successful build"},
	{Argument: "image build", Text: "--secret", Alias: "", Provider: "", Description: "Secret file to expose to the build (only if BuildKit enabled): id=mysecret,src=/local/secret"},
	{Argument: "image build", Text: "--security-opt", Alias: "", Provider: "", Description: "Security options"},
	{Argument: "image build", Text: "--shm-size", Alias: "", Provider: "", Description: "Size of /dev/shm"},
	{Argument: "image build", Text: "--squash", Alias: "", Provider: "", Description: "Squash newly built layers into a single new layer"},
	{Argument: "image build", Text: "--ssh", Alias: "", Provider: "", Description: "SSH agent socket or keys to expose to the build (only if BuildKit enabled) (format: default|<id>[=<socket>|<key>[,<key>]])"},
	{Argument: "image build", Text: "--stream", Alias: "", Provider: "", Description: "Stream attaches to server to negotiate build context"},
	{Argument: "image build", Text: "--tag", Alias: "-t", Provider: "", Description: "Name and optionally a tag in the 'name:tag' format"},
	{Argument: "image build", Text: "--target", Alias: "", Provider: "", Description: "Set the target build stage to build."},
	{Argument: "image build", Text: "--ulimit", Alias: "", Provider: "", Description: "Ulimit options"},
	{Argument: "image history", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print images using a Go template"},
	{Argument: "image history", Text: "--human", Alias: "-H", Provider: "bool", Description: "Print sizes and dates in human readable format"},
	{Argument: "image history", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Don't truncate output"},
	{Argument: "image history", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only show image IDs"},
	{Argument: "image import", Text: "--change", Alias: "-c", Provider: "", Description: "Apply Dockerfile instruction to the created image"},
	{Argument: "image import", Text: "--message", Alias: "-m", Provider: "", Description: "Set commit message for imported image"},
	{Argument: "image import", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "image inspect", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "image inspect", Text: "--input", Alias: "-i", Provider: "bool", Description: "Read from tar archive file, instead of STDIN"},
	{Argument: "image inspect", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress the load output"},
	{Argument: "image ls", Text: "--all", Alias: "-a", Provider: "bool", Description: "Show all images (default hides intermediate images)"},
	{Argument: "image ls", Text: "--digests", Alias: "", Provider: "", Description: "Show digests"},
	{Argument: "image ls", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "image ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print images using a Go template"},
	{Argument: "image ls", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Don't truncate output"},
	{Argument: "image ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only show image IDs"},
	{Argument: "image prune", Text: "--all", Alias: "-a", Provider: "bool", Description: "Remove all unused images, not just dangling ones"},
	{Argument: "image prune", Text: "--filter", Alias: "", Provider: "", Description: "Provide filter values (e.g. 'until=<timestamp>')"},
	{Argument: "image prune", Text: "--force", Alias: "-f", Provider: "bool", Description: "Do not prompt for confirmation"},
	{Argument: "image pull", Text: "--all-tags", Alias: "-a", Provider: "", Description: "Download all tagged images in the repository"},
	{Argument: "image pull", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "image pull", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "image pull", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress verbose output"},
	{Argument: "image push", Text: "--all-tags", Alias: "-a", Provider: "bool", Description: "Push all tagged images in the repository"},
	{Argument: "image push", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image signing"},
	{Argument: "image push", Text: "--quiet", Alias: "-a", Provider: "bool", Description: "Suppress verbose output"},
	{Argument: "image rm", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force removal of the image"},
	{Argument: "image rm", Text: "--no-prune", Alias: "", Provider: "bool", Description: "Do not delete untagged parents"},
	{Argument: "image save", Text: "--output", Alias: "-o", Provider: "path", Description: "Write to a file, instead of STDOUT"},
	{Argument: "images", Text: "--all", Alias: "-a", Provider: "bool", Description: "Show all images (default hides intermediate images)"},
	{Argument: "images", Text: "--digests", Alias: "", Provider: "bool", Description: "Show digests"},
	{Argument: "images", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "images", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print images using a Go template"},
	{Argument: "images", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Don't truncate output"},
	{Argument: "images", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only show image IDs"},
	{Argument: "import", Text: "--change", Alias: "-c", Provider: "", Description: "Apply Dockerfile instruction to the created image"},
	{Argument: "import", Text: "--message", Alias: "-m", Provider: "", Description: "Set commit message for imported image"},
	{Argument: "import", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "info", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "inspect", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "inspect", Text: "--size", Alias: "-s", Provider: "", Description: "Display total file sizes if the type is container"},
	{Argument: "inspect", Text: "--type", Alias: "", Provider: "", Description: "Return JSON for specified type"},
	{Argument: "kill", Text: "--signal", Alias: "-s", Provider: "", Description: "Signal to send to the container"},
	{Argument: "load", Text: "--input", Alias: "", Provider: "path", Description: "Read from tar archive file, instead of STDIN"},
	{Argument: "load", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress the load output"},
	{Argument: "login", Text: "--password", Alias: "-p", Provider: "", Description: "Password"},
	{Argument: "login", Text: "--password-stdin", Alias: "", Provider: "bool", Description: "Take the password from stdin"},
	{Argument: "login", Text: "--username", Alias: "-u", Provider: "", Description: "Username"},
	{Argument: "logs", Text: "--details", Alias: "", Provider: "bool", Description: "Show extra details provided to logs"},
	{Argument: "logs", Text: "--follow", Alias: "-f", Provider: "", Description: "Follow log output"},
	{Argument: "logs", Text: "--since", Alias: "", Provider: "", Description: "Show logs since timestamp (e.g. 2013-01-02T13:23:37Z) or relative (e.g. 42m for 42 minutes)"},
	{Argument: "logs", Text: "--tail", Alias: "-n", Provider: "", Description: "Number of lines to show from the end of the logs"},
	{Argument: "logs", Text: "--timestamps", Alias: "-t", Provider: "bool", Description: "Show timestamps"},
	{Argument: "logs", Text: "--until", Alias: "", Provider: "", Description: "Show logs before a timestamp (e.g. 2013-01-02T13:23:37Z) or relative (e.g. 42m for 42 minutes)"},
	{Argument: "manifest annotate", Text: "--arch", Alias: "", Provider: "", Description: "Set architecture"},
	{Argument: "manifest annotate", Text: "--os", Alias: "", Provider: "", Description: "Set operating system"},
	{Argument: "manifest annotate", Text: "--os-features", Alias: "", Provider: "", Description: "Set operating system feature"},
	{Argument: "manifest annotate", Text: "--os-version", Alias: "", Provider: "", Description: "Set operating system version"},
	{Argument: "manifest annotate", Text: "--variant", Alias: "", Provider: "", Description: "Set architecture variant"},
	{Argument: "manifest create", Text: "--amend", Alias: "-a", Provider: "", Description: "Amend an existing manifest list"},
	{Argument: "manifest create", Text: "--insecure", Alias: "", Provider: "bool", Description: "Allow communication with an insecure registry"},
	{Argument: "manifest inspect", Text: "--insecure", Alias: "", Provider: "bool", Description: "Allow communication with an insecure registry"},
	{Argument: "manifest inspect", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Output additional info including layers and platform"},
	{Argument: "manifest push", Text: "--insecure", Alias: "", Provider: "bool", Description: "Allow push to an insecure registry"},
	{Argument: "manifest push", Text: "--purge", Alias: "-p", Provider: "bool", Description: "Remove the local manifest list after push"},
	{Argument: "network connect", Text: "--alias", Alias: "", Provider: "", Description: "Add network-scoped alias for the container"},
	{Argument: "network connect", Text: "--driver-opt", Alias: "", Provider: "", Description: "driver options for the network"},
	{Argument: "network connect", Text: "--ip", Alias: "", Provider: "", Description: "IPv4 address (e.g., 172.30.100.104)"},
	{Argument: "network connect", Text: "--ip6", Alias: "", Provider: "", Description: "IPv6 address (e.g., 2001:db8::33)"},
	{Argument: "network connect", Text: "--link", Alias: "", Provider: "", Description: "Add link to another container"},
	{Argument: "network connect", Text: "--link-local-ip", Alias: "", Provider: "", Description: "Add a link-local address for the container"},
	{Argument: "network create", Text: "--attachable", Alias: "", Provider: "", Description: "Enable manual container attachment"},
	{Argument: "network create", Text: "--aux-address", Alias: "", Provider: "", Description: "Auxiliary IPv4 or IPv6 addresses used by Network driver"},
	{Argument: "network create", Text: "--config-from", Alias: "", Provider: "", Description: "The network from which to copy the configuration"},
	{Argument: "network create", Text: "--config-only", Alias: "", Provider: "", Description: "Create a configuration only network"},
	{Argument: "network create", Text: "--driver", Alias: "-d", Provider: "", Description: "Driver to manage the Network"},
	{Argument: "network create", Text: "--gateway", Alias: "", Provider: "", Description: "IPv4 or IPv6 Gateway for the master subnet"},
	{Argument: "network create", Text: "--ingress", Alias: "", Provider: "", Description: "Create swarm routing-mesh network"},
	{Argument: "network create", Text: "--internal", Alias: "", Provider: "", Description: "Restrict external access to the network"},
	{Argument: "network create", Text: "--ip-range", Alias: "", Provider: "", Description: "Allocate container ip from a sub-range"},
	{Argument: "network create", Text: "--ipam-driver", Alias: "", Provider: "", Description: "IP Address Management Driver"},
	{Argument: "network create", Text: "--ipam-opt", Alias: "", Provider: "", Description: "Set IPAM driver specific options"},
	{Argument: "network create", Text: "--ip6", Alias: "", Provider: "", Description: "Enable IPv6 networking"},
	{Argument: "network create", Text: "--label", Alias: "", Provider: "", Description: "Set metadata on a network"},
	{Argument: "network create", Text: "--opt", Alias: "-o", Provider: "", Description: "Set driver specific options"},
	{Argument: "network create", Text: "--scope", Alias: "", Provider: "", Description: "Control the network's scope"},
	{Argument: "network create", Text: "--subnet", Alias: "", Provider: "", Description: "Subnet in CIDR format that represents a network segment"},
	{Argument: "network disconnect", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force the container to disconnect from a network"},
	{Argument: "network inspect", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "network inspect", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Verbose output for diagnostics"},
	{Argument: "network ls", Text: "--filter", Alias: "-f", Provider: "", Description: "Provide filter values (e.g. 'driver=bridge')"},
	{Argument: "network ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print networks using a Go template"},
	{Argument: "network ls", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Do not truncate the output"},
	{Argument: "network ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display network IDs"},
	{Argument: "network prune", Text: "--filter", Alias: "", Provider: "", Description: "Provide filter values (e.g. 'until=<timestamp>')"},
	{Argument: "network prune", Text: "--force", Alias: "-f", Provider: "bool", Description: "Do not prompt for confirmation"},
	{Argument: "node inspect", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "node inspect", Text: "--pretty", Alias: "", Provider: "bool", Description: "Print the information in a human friendly format"},
	{Argument: "node ls", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "node ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print nodes using a Go template"},
	{Argument: "node ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display IDs"},
	{Argument: "node ps", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "node ps", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print tasks using a Go template"},
	{Argument: "node ps", Text: "--no-resolve", Alias: "", Provider: "bool", Description: "Do not map IDs to Names"},
	{Argument: "node ps", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Do not truncate output"},
	{Argument: "node ps", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display task IDs"},
	{Argument: "node rm", Text: "--force", Alias: "-f", Provider: "bool", Description: "Do not prompt for confirmation"},
	{Argument: "node update", Text: "--availability", Alias: "", Provider: "", Description: "Availability of the node ('active'|'pause'|'drain')"},
	{Argument: "node update", Text: "--label-add", Alias: "", Provider: "", Description: "Add or update a node label (key=value)"},
	{Argument: "node update", Text: "--label-rm", Alias: "", Provider: "bool", Description: "Remove a node label if exists"},
	{Argument: "node update", Text: "--role", Alias: "", Provider: "", Description: "Role of the node ('worker'|'manager')"},
	{Argument: "plugin create", Text: "--compress", Alias: "", Provider: "bool", Description: "Compress the context using gzip"},
	{Argument: "plugin disable", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force the disable of an active plugin"},
	{Argument: "plugin enable", Text: "--timeout", Alias: "", Provider: "", Description: "HTTP client timeout (in seconds)"},
	{Argument: "plugin inspect", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "plugin install", Text: "--alias", Alias: "", Provider: "", Description: "Local name for plugin"},
	{Argument: "plugin install", Text: "--disable", Alias: "", Provider: "bool", Description: "Do not enable the plugin on install"},
	{Argument: "plugin install", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "plugin install", Text: "--grant-all-permissions", Alias: "", Provider: "bool", Description: "Grant all permissions necessary to run the plugin"},
	{Argument: "plugin ls", Text: "--filter", Alias: "-f", Provider: "", Description: "Provide filter values (e.g. 'enabled=true')"},
	{Argument: "plugin ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print plugins using a Go template"},
	{Argument: "plugin ls", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Don't truncate output"},
	{Argument: "plugin ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display plugin IDs"},
	{Argument: "plugin rm", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force the disable of an active plugin"},
	{Argument: "plugin upgrade", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "plugin upgrade", Text: "--grant-all-permissions", Alias: "", Provider: "bool", Description: "Grant all permissions necessary to run the plugin"},
	{Argument: "plugin upgrade", Text: "--skip-remote-check", Alias: "", Provider: "bool", Description: "Do not check if specified remote plugin matches existing plugin image"},
	{Argument: "ps", Text: "--all", Alias: "-a", Provider: "bool", Description: "Show all containers (default shows just running)"},
	{Argument: "ps", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "ps", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print containers using a Go template"},
	{Argument: "ps", Text: "--last", Alias: "-n", Provider: "", Description: "Show n last created containers (includes all states)"},
	{Argument: "ps", Text: "--latest", Alias: "-l", Provider: "bool", Description: "Show the latest created container (includes all states)"},
	{Argument: "ps", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Don't truncate output"},
	{Argument: "ps", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display container IDs"},
	{Argument: "ps", Text: "--size", Alias: "-s", Provider: "", Description: "Display total file sizes"},
	{Argument: "pull", Text: "--all-tags", Alias: "-a", Provider: "bool", Description: "Download all tagged images in the repository"},
	{Argument: "pull", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "pull", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "pull", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress verbose output"},
	{Argument: "push", Text: "--all-tags", Alias: "-a", Provider: "bool", Description: "Push all tagged images in the repository"},
	{Argument: "push", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image signing"},
	{Argument: "push", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress verbose output"},
	{Argument: "restart", Text: "--time", Alias: "-t", Provider: "", Description: "Seconds to wait for stop before killing the container"},
	{Argument: "restart", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force the removal of a running container (uses SIGKILL)"},
	{Argument: "restart", Text: "--link", Alias: "-l", Provider: "bool", Description: "Remove the specified link"},
	{Argument: "restart", Text: "--volumes", Alias: "-v", Provider: "bool", Description: "Remove anonymous volumes associated with the container"},
	{Argument: "rmi", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force removal of the image"},
	{Argument: "rmi", Text: "--no-prune", Alias: "", Provider: "bool", Description: "Do not delete untagged parents"},
	{Argument: "run", Text: "--add-host", Alias: "", Provider: "", Description: "Add a custom host-to-IP mapping (host:ip)"},
	{Argument: "run", Text: "--attach", Alias: "-a", Provider: "", Description: "Attach to STDIN, STDOUT or STDERR"},
	{Argument: "run", Text: "--blkio-weight", Alias: "", Provider: "", Description: "Block IO (relative weight), between 10 and 1000, or 0 to disable (default 0)"},
	{Argument: "run", Text: "--blkio-weight-device", Alias: "", Provider: "", Description: "Block IO weight (relative device weight)"},
	{Argument: "run", Text: "--cap-add", Alias: "", Provider: "", Description: "Add Linux capabilities"},
	{Argument: "run", Text: "--cap-drop", Alias: "", Provider: "", Description: "Drop Linux capabilities"},
	{Argument: "run", Text: "--cgroup-parent", Alias: "", Provider: "", Description: "Optional parent cgroup for the container"},
	{Argument: "run", Text: "--cgroupns", Alias: "", Provider: "", Description: "Cgroup namespace to use (host|private) 'host': Run the container in the Docker host's cgroup namespace 'private': Run the container in its own private cgroup namespace '': Use the cgroup namespace as configured by the default-cgroupns-mode option on the daemon (default)"},
	{Argument: "run", Text: "--cidfile", Alias: "", Provider: "path", Description: "Write the container ID to the file"},
	{Argument: "run", Text: "--cpu-count", Alias: "", Provider: "", Description: "CPU count (Windows only)"},
	{Argument: "run", Text: "--cpu-percent", Alias: "", Provider: "", Description: "CPU percent (Windows only)"},
	{Argument: "run", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "run", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "run", Text: "--cpu-rt-period", Alias: "", Provider: "", Description: "Limit CPU real-time period in microseconds"},
	{Argument: "run", Text: "--cpu-rt-runtime", Alias: "", Provider: "", Description: "Limit CPU real-time runtime in microseconds"},
	{Argument: "run", Text: "--cpu-shares", Alias: "-c", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "run", Text: "--cpus", Alias: "", Provider: "", Description: "Number of CPUs"},
	{Argument: "run", Text: "--cpuset-cpus", Alias: "", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "run", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "run", Text: "--device", Alias: "", Provider: "", Description: "Add a host device to the container"},
	{Argument: "run", Text: "--device-cgroup-rule", Alias: "", Provider: "", Description: "Add a rule to the cgroup allowed devices list"},
	{Argument: "run", Text: "--device-read-bps", Alias: "", Provider: "", Description: "Limit read rate (bytes per second) from a device"},
	{Argument: "run", Text: "--device-read-iops", Alias: "", Provider: "", Description: "Limit read rate (IO per second) from a device"},
	{Argument: "run", Text: "--device-write-bps", Alias: "", Provider: "", Description: "Limit write rate (bytes per second) to a device"},
	{Argument: "run", Text: "--device-write-iops", Alias: "", Provider: "", Description: "Limit write rate (IO per second) to a device"},
	{Argument: "run", Text: "--disable-content-trust", Alias: "", Provider: "bool", Description: "Skip image verification"},
	{Argument: "run", Text: "--dns", Alias: "", Provider: "", Description: "Set custom DNS servers"},
	{Argument: "run", Text: "--dns-opt", Alias: "", Provider: "", Description: "Set DNS options"},
	{Argument: "run", Text: "--dns-option", Alias: "", Provider: "", Description: "Set DNS options"},
	{Argument: "run", Text: "--dns-search", Alias: "", Provider: "", Description: "Set custom DNS search domains"},
	{Argument: "run", Text: "--domainname", Alias: "", Provider: "", Description: "Container NIS domain name"},
	{Argument: "run", Text: "--entrypoint", Alias: "", Provider: "", Description: "Overwrite the default ENTRYPOINT of the image"},
	{Argument: "run", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "run", Text: "--env-file", Alias: "", Provider: "path", Description: "Read in a file of environment variables"},
	{Argument: "run", Text: "--expose", Alias: "", Provider: "", Description: "Expose a port or a range of ports"},
	{Argument: "run", Text: "--gpus", Alias: "", Provider: "", Description: "GPU devices to add to the container ('all' to pass all GPUs)"},
	{Argument: "run", Text: "--group-add", Alias: "", Provider: "", Description: "Add additional groups to join"},
	{Argument: "run", Text: "--health-cmd", Alias: "", Provider: "", Description: "Command to run to check health"},
	{Argument: "run", Text: "--health-interval", Alias: "", Provider: "", Description: "Time between running the check (ms|s|m|h) (default 0s)"},
	{Argument: "run", Text: "--health-retries", Alias: "", Provider: "", Description: "Consecutive failures needed to report unhealthy"},
	{Argument: "run", Text: "--health-start-period", Alias: "", Provider: "", Description: "Start period for the container to initialize before starting health-retries countdown (ms|s|m|h) (default 0s)"},
	{Argument: "run", Text: "--health-timeout", Alias: "", Provider: "", Description: "Maximum time to allow one check to run (ms|s|m|h) (default 0s)"},
	{Argument: "run", Text: "--help", Alias: "", Provider: "bool", Description: "Print usage"},
	{Argument: "run", Text: "--hostname", Alias: "-h", Provider: "", Description: "Container host name"},
	{Argument: "run", Text: "--init", Alias: "", Provider: "", Description: "Run an init inside the container that forwards signals and reaps processes"},
	{Argument: "run", Text: "--interactive", Alias: "-i", Provider: "bool", Description: "Keep STDIN open even if not attached"},
	{Argument: "run", Text: "--io-maxbandwidth", Alias: "", Provider: "", Description: "Maximum IO bandwidth limit for the system drive (Windows only)"},
	{Argument: "run", Text: "--io-maxiops", Alias: "", Provider: "", Description: "Maximum IOps limit for the system drive (Windows only)"},
	{Argument: "run", Text: "--ip", Alias: "", Provider: "", Description: "IPv4 address (e.g., 172.30.100.104)"},
	{Argument: "run", Text: "--ip6", Alias: "", Provider: "", Description: "IPv6 address (e.g., 2001:db8::33)"},
	{Argument: "run", Text: "--ipc", Alias: "", Provider: "", Description: "IPC mode to use"},
	{Argument: "run", Text: "--isolation", Alias: "", Provider: "", Description: "Container isolation technology"},
	{Argument: "run", Text: "--kernel-memory", Alias: "", Provider: "", Description: "Kernel memory limit"},
	{Argument: "run", Text: "--label", Alias: "-l", Provider: "", Description: "Set meta data on a container"},
	{Argument: "run", Text: "--label-file", Alias: "", Provider: "path", Description: "Read in a line delimited file of labels"},
	{Argument: "run", Text: "--link", Alias: "", Provider: "", Description: "Add link to another container"},
	{Argument: "run", Text: "--link-local-ip", Alias: "", Provider: "", Description: "Container IPv4/IPv6 link-local addresses"},
	{Argument: "run", Text: "--log-driver", Alias: "", Provider: "", Description: "Logging driver for the container"},
	{Argument: "run", Text: "--log-opt", Alias: "", Provider: "", Description: "Log driver options"},
	{Argument: "run", Text: "--mac-address", Alias: "", Provider: "", Description: "Container MAC address (e.g., 92:d0:c6:0a:29:33)"},
	{Argument: "run", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "run", Text: "--memory-reservation", Alias: "", Provider: "", Description: "Memory soft limit"},
	{Argument: "run", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "run", Text: "--memory-swappiness", Alias: "", Provider: "", Description: "Tune container memory swappiness (0 to 100)"},
	{Argument: "run", Text: "--mount", Alias: "", Provider: "", Description: "Attach a filesystem mount to the container"},
	{Argument: "run", Text: "--name", Alias: "", Provider: "", Description: "Assign a name to the container"},
	{Argument: "run", Text: "--net", Alias: "", Provider: "", Description: "Connect a container to a network"},
	{Argument: "run", Text: "--net-alias", Alias: "", Provider: "", Description: "Add network-scoped alias for the container"},
	{Argument: "run", Text: "--network", Alias: "", Provider: "", Description: "Connect a container to a network"},
	{Argument: "run", Text: "--network-alias", Alias: "", Provider: "", Description: "Add network-scoped alias for the container"},
	{Argument: "run", Text: "--no-healthcheck", Alias: "", Provider: "bool", Description: "Disable any container-specified HEALTHCHECK"},
	{Argument: "run", Text: "--oom-kill-disable", Alias: "", Provider: "", Description: "Disable OOM Killer"},
	{Argument: "run", Text: "--oom-score-adj", Alias: "", Provider: "", Description: "Tune host's OOM preferences (-1000 to 1000)"},
	{Argument: "run", Text: "--pid", Alias: "", Provider: "", Description: "PID namespace to use"},
	{Argument: "run", Text: "--pids-limit", Alias: "", Provider: "", Description: "Tune container pids limit (set -1 for unlimited)"},
	{Argument: "run", Text: "--platform", Alias: "", Provider: "", Description: "Set platform if server is multi-platform capable"},
	{Argument: "run", Text: "--privileged", Alias: "", Provider: "bool", Description: "Give extended privileges to this container"},
	{Argument: "run", Text: "--publish", Alias: "-p", Provider: "port", Description: "Publish a container's port(s) to the host"},
	{Argument: "run", Text: "--publish-all", Alias: "-P", Provider: "bool", Description: "Publish all exposed ports to random ports"},
	{Argument: "run", Text: "--pull", Alias: "", Provider: "", Description: "Pull image before creating ('always'|'missing'|'never')"},
	{Argument: "run", Text: "--read-only", Alias: "", Provider: "", Description: "Mount the container's root filesystem as read only"},
	{Argument: "run", Text: "--restart", Alias: "", Provider: "bool", Description: "Restart policy to apply when a container exits"},
	{Argument: "run", Text: "--rm", Alias: "", Provider: "bool", Description: "Automatically remove the container when it exits"},
	{Argument: "run", Text: "--runtime", Alias: "", Provider: "", Description: "Runtime to use for this container"},
	{Argument: "run", Text: "--security-opt", Alias: "", Provider: "", Description: "Security Options"},
	{Argument: "run", Text: "--shm-size", Alias: "", Provider: "", Description: "Size of /dev/shm"},
	{Argument: "run", Text: "--stop-signal", Alias: "", Provider: "", Description: "Signal to stop a container"},
	{Argument: "run", Text: "--stop-timeout", Alias: "", Provider: "", Description: "Timeout (in seconds) to stop a container"},
	{Argument: "run", Text: "--storage-opt", Alias: "", Provider: "", Description: "Storage driver options for the container"},
	{Argument: "run", Text: "--sysctl", Alias: "", Provider: "", Description: "Sysctl options"},
	{Argument: "run", Text: "--tmpfs", Alias: "", Provider: "", Description: "Mount a tmpfs directory"},
	{Argument: "run", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Allocate a pseudo-TTY"},
	{Argument: "run", Text: "--ulimit", Alias: "", Provider: "", Description: "Ulimit options"},
	{Argument: "run", Text: "--user", Alias: "-u", Provider: "", Description: "Username or UID (format: <name|uid>[:<group|gid>])"},
	{Argument: "run", Text: "--userns", Alias: "", Provider: "", Description: "User namespace to use"},
	{Argument: "run", Text: "--uts", Alias: "", Provider: "", Description: "UTS namespace to use"},
	{Argument: "run", Text: "--volume", Alias: "-v", Provider: "", Description: "Bind mount a volume"},
	{Argument: "run", Text: "--volume-driver", Alias: "", Provider: "", Description: "Optional volume driver for the container"},
	{Argument: "run", Text: "--volumes-from", Alias: "", Provider: "", Description: "Mount volumes from the specified container(s)"},
	{Argument: "run", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Working directory inside the container"},
	{Argument: "run", Text: "-it", Alias: "", Provider: "bool", Description: "Allocate a interactive pseudo-TTY"},
	{Argument: "run", Text: "--detach", Alias: "-d", Provider: "", Description: "Run container in background and print container ID"},
	{Argument: "run", Text: "--detach-keys", Alias: "", Provider: "", Description: "Override the key sequence for detaching a container"},
	{Argument: "run", Text: "--sig-proxy", Alias: "", Provider: "bool", Description: "Security Options"},
	{Argument: "save", Text: "--output", Alias: "-o", Provider: "path", Description: "Write to a file, instead of STDOUT"},
	{Argument: "search", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "search", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print search using a Go template"},
	{Argument: "search", Text: "--limit", Alias: "", Provider: "", Description: "Max number of search results"},
	{Argument: "search", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Don't truncate output"},
	{Argument: "secret create", Text: "--driver", Alias: "-d", Provider: "", Description: "Secret driver"},
	{Argument: "secret create", Text: "--label", Alias: "-l", Provider: "", Description: "Secret labels"},
	{Argument: "secret create", Text: "--template-driver", Alias: "", Provider: "", Description: "Template driver"},
	{Argument: "service create", Text: "--cap-add", Alias: "", Provider: "", Description: "Add Linux capabilities"},
	{Argument: "service create", Text: "--cap-drop", Alias: "", Provider: "", Description: "Drop Linux capabilities"},
	{Argument: "service create", Text: "--config", Alias: "", Provider: "", Description: "Specify configurations to expose to the service"},
	{Argument: "service create", Text: "--constraint", Alias: "", Provider: "", Description: "Placement constraints"},
	{Argument: "service create", Text: "--container-label", Alias: "", Provider: "", Description: "Container labels"},
	{Argument: "service create", Text: "--credential-spec", Alias: "", Provider: "", Description: "Credential spec for managed service account (Windows only)"},
	{Argument: "service create", Text: "--detach", Alias: "-d", Provider: "bool", Description: "Exit immediately instead of waiting for the service to converge"},
	{Argument: "service create", Text: "--dns", Alias: "", Provider: "", Description: "Set custom DNS servers"},
	{Argument: "service create", Text: "--dns-option", Alias: "", Provider: "", Description: "Set DNS options"},
	{Argument: "service create", Text: "--dns-search", Alias: "", Provider: "", Description: "Set custom DNS search domains"},
	{Argument: "service create", Text: "--endpoint-mode", Alias: "", Provider: "", Description: "Endpoint mode (vip or dnsrr)"},
	{Argument: "service create", Text: "--entrypoint", Alias: "", Provider: "", Description: "Overwrite the default ENTRYPOINT of the image"},
	{Argument: "service create", Text: "--env", Alias: "-e", Provider: "", Description: "Set environment variables"},
	{Argument: "service create", Text: "--env-file", Alias: "", Provider: "path", Description: "Read in a file of environment variables"},
	{Argument: "service create", Text: "--generic-resource", Alias: "", Provider: "", Description: "User defined resources"},
	{Argument: "service create", Text: "--group", Alias: "", Provider: "", Description: "Set one or more supplementary user groups for the container"},
	{Argument: "service create", Text: "--health-cmd", Alias: "", Provider: "", Description: "Command to run to check health"},
	{Argument: "service create", Text: "--health-interval", Alias: "", Provider: "", Description: "Time between running the check (ms|s|m|h)"},
	{Argument: "service create", Text: "--health-retries", Alias: "", Provider: "", Description: "Consecutive failures needed to report unhealthy"},
	{Argument: "service create", Text: "--health-start-period", Alias: "", Provider: "", Description: "Start period for the container to initialize before counting retries towards unstable (ms|s|m|h)"},
	{Argument: "service create", Text: "--health-timeout", Alias: "", Provider: "", Description: "Maximum time to allow one check to run (ms|s|m|h)"},
	{Argument: "service create", Text: "--host", Alias: "", Provider: "", Description: "Set one or more custom host-to-IP mappings (host:ip)"},
	{Argument: "service create", Text: "--hostname", Alias: "", Provider: "", Description: "Container hostname"},
	{Argument: "service create", Text: "--init", Alias: "", Provider: "", Description: "Use an init inside each service container to forward signals and reap processes"},
	{Argument: "service create", Text: "--isolation", Alias: "", Provider: "", Description: "Service container isolation mode"},
	{Argument: "service create", Text: "--label", Alias: "-l", Provider: "", Description: "Service labels"},
	{Argument: "service create", Text: "--limit-cpu", Alias: "", Provider: "", Description: "Limit CPUs"},
	{Argument: "service create", Text: "--limit-memory", Alias: "", Provider: "", Description: "Limit Memory"},
	{Argument: "service create", Text: "--limit-pids", Alias: "", Provider: "", Description: "Limit maximum number of processes (default 0 = unlimited)"},
	{Argument: "service create", Text: "--log-driver", Alias: "", Provider: "", Description: "Logging driver for service"},
	{Argument: "service create", Text: "--log-opt", Alias: "", Provider: "", Description: "Logging driver options"},
	{Argument: "service create", Text: "--max-concurrent", Alias: "", Provider: "", Description: "Number of job tasks to run concurrently (default equal to --replicas)"},
	{Argument: "service create", Text: "--mode", Alias: "", Provider: "", Description: "Service mode (replicated, global, replicated-job, or global-job)"},
	{Argument: "service create", Text: "--mount", Alias: "", Provider: "", Description: "Attach a filesystem mount to the service"},
	{Argument: "service create", Text: "--name", Alias: "", Provider: "", Description: "Service name"},
	{Argument: "service create", Text: "--network", Alias: "", Provider: "", Description: "Network attachments"},
	{Argument: "service create", Text: "--no-healthcheck", Alias: "", Provider: "bool", Description: "Disable any container-specified HEALTHCHECK"},
	{Argument: "service create", Text: "--no-resolve-image", Alias: "", Provider: "bool", Description: "Do not query the registry to resolve image digest and supported platforms"},
	{Argument: "service create", Text: "--placement-pref", Alias: "", Provider: "", Description: "Add a placement preference"},
	{Argument: "service create", Text: "--publish", Alias: "-p", Provider: "port", Description: "Publish a port as a node port"},
	{Argument: "service create", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress progress output"},
	{Argument: "service create", Text: "--read-only", Alias: "", Provider: "bool", Description: "Mount the container's root filesystem as read only"},
	{Argument: "service create", Text: "--replicas", Alias: "", Provider: "", Description: "Number of tasks"},
	{Argument: "service create", Text: "--replicas-max-per-node", Alias: "", Provider: "", Description: "Maximum number of tasks per node (default 0 = unlimited)"},
	{Argument: "service create", Text: "--reserve-cpu", Alias: "", Provider: "", Description: "Reserve CPUs"},
	{Argument: "service create", Text: "--reserve-memory", Alias: "", Provider: "", Description: "Reserve Memory"},
	{Argument: "service create", Text: "--restart-condition", Alias: "", Provider: "", Description: "Restart when condition is met ('none'|'on-failure'|'any') (default 'any')"},
	{Argument: "service create", Text: "--restart-delay", Alias: "", Provider: "", Description: "Delay between restart attempts (ns|us|ms|s|m|h) (default 5s)"},
	{Argument: "service create", Text: "--restart-max-attempts", Alias: "", Provider: "", Description: "Maximum number of restarts before giving up"},
	{Argument: "service create", Text: "--restart-window", Alias: "", Provider: "", Description: "Window used to evaluate the restart policy (ns|us|ms|s|m|h)"},
	{Argument: "service create", Text: "--rollback-delay", Alias: "", Provider: "", Description: "Delay between task rollbacks (ns|us|ms|s|m|h) (default 0s)"},
	{Argument: "service create", Text: "--rollback-failure-action", Alias: "", Provider: "", Description: "Action on rollback failure ('pause'|'continue') (default 'pause')"},
	{Argument: "service create", Text: "--rollback-max-failure-ratio", Alias: "", Provider: "", Description: "Failure rate to tolerate during a rollback (default 0)"},
	{Argument: "service create", Text: "--rollback-monitor", Alias: "", Provider: "", Description: "Duration after each task rollback to monitor for failure (ns|us|ms|s|m|h) (default 5s)"},
	{Argument: "service create", Text: "--rollback-order", Alias: "", Provider: "", Description: "Rollback order ('start-first'|'stop-first') (default 'stop-first')"},
	{Argument: "service create", Text: "--rollback-parallelism", Alias: "", Provider: "", Description: "Maximum number of tasks rolled back simultaneously (0 to roll back all at once)"},
	{Argument: "service create", Text: "--secret", Alias: "", Provider: "", Description: "Specify secrets to expose to the service"},
	{Argument: "service create", Text: "--stop-grace-period", Alias: "", Provider: "", Description: "Time to wait before force killing a container (ns|us|ms|s|m|h) (default 10s)"},
	{Argument: "service create", Text: "--stop-signal", Alias: "", Provider: "", Description: "Signal to stop the container"},
	{Argument: "service create", Text: "--sysctl", Alias: "", Provider: "", Description: "Sysctl options"},
	{Argument: "service create", Text: "--tty", Alias: "", Provider: "bool", Description: "Allocate a pseudo-TTY"},
	{Argument: "service create", Text: "--ulimit", Alias: "", Provider: "", Description: "Ulimit options"},
	{Argument: "service create", Text: "--update-delay", Alias: "", Provider: "", Description: "Delay between updates (ns|us|ms|s|m|h) (default 0s)"},
	{Argument: "service create", Text: "--update-failure-action", Alias: "", Provider: "", Description: "Action on update failure ('pause'|'continue'|'rollback') (default 'pause')"},
	{Argument: "service create", Text: "--update-max-failure-ratio", Alias: "", Provider: "", Description: "Failure rate to tolerate during an update (default 0)"},
	{Argument: "service create", Text: "--update-monitor", Alias: "", Provider: "", Description: "Duration after each task update to monitor for failure (ns|us|ms|s|m|h) (default 5s)"},
	{Argument: "service create", Text: "--update-order", Alias: "", Provider: "", Description: "Update order ('start-first'|'stop-first') (default 'stop-first')"},
	{Argument: "service create", Text: "--update-parallelism", Alias: "", Provider: "", Description: "Maximum number of tasks updated simultaneously (0 to update all at once)"},
	{Argument: "service create", Text: "--user", Alias: "-u", Provider: "", Description: "Username or UID (format: <name|uid>[:<group|gid>])"},
	{Argument: "service create", Text: "--with-registry-auth", Alias: "", Provider: "", Description: "Send registry authentication details to swarm agents"},
	{Argument: "service create", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Working directory inside the container"},
	{Argument: "service inspect", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "service inspect", Text: "--pretty", Alias: "", Provider: "bool", Description: "Print the information in a human friendly format"},
	{Argument: "service logs", Text: "--details", Alias: "", Provider: "", Description: "Show extra details provided to logs"},
	{Argument: "service logs", Text: "--follow", Alias: "-f", Provider: "", Description: "Follow log output"},
	{Argument: "service logs", Text: "--no-resolve", Alias: "", Provider: "bool", Description: "Do not map IDs to Names in output"},
	{Argument: "service logs", Text: "--no-task-ids", Alias: "", Provider: "bool", Description: "Do not include task IDs in output"},
	{Argument: "service logs", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Do not truncate output"},
	{Argument: "service logs", Text: "--raw", Alias: "", Provider: "bool", Description: "Do not neatly format logs"},
	{Argument: "service logs", Text: "--since", Alias: "", Provider: "", Description: "Show logs since timestamp (e.g. 2013-01-02T13:23:37Z) or relative (e.g. 42m for 42 minutes)"},
	{Argument: "service logs", Text: "--tail", Alias: "-n", Provider: "", Description: "Number of lines to show from the end of the logs"},
	{Argument: "service logs", Text: "--timestamps", Alias: "-t", Provider: "bool", Description: "Show timestamps"},
	{Argument: "service ls", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "service ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print services using a Go template"},
	{Argument: "service ls", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display IDs"},
	{Argument: "service ps", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "service ps", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print tasks using a Go template"},
	{Argument: "service ps", Text: "--no-resolve", Alias: "", Provider: "bool", Description: "Do not map IDs to Names"},
	{Argument: "service ps", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Do not truncate output"},
	{Argument: "service ps", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display task IDs"},
	{Argument: "service rollback", Text: "--detach", Alias: "-d", Provider: "bool", Description: "Exit immediately instead of waiting for the service to converge"},
	{Argument: "service rollback", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress progress output"},
	{Argument: "service scale", Text: "--detach", Alias: "-d", Provider: "bool", Description: "Exit immediately instead of waiting for the service to converge"},
	{Argument: "service update", Text: "--args", Alias: "", Provider: "", Description: "Service command args"},
	{Argument: "service update", Text: "--cap-add", Alias: "", Provider: "", Description: "Add Linux capabilities"},
	{Argument: "service update", Text: "--cap-drop", Alias: "", Provider: "", Description: "Drop Linux capabilities"},
	{Argument: "service update", Text: "--config-add", Alias: "", Provider: "", Description: "Add or update a config file on a service"},
	{Argument: "service update", Text: "--config-rm", Alias: "", Provider: "", Description: "Remove a configuration file"},
	{Argument: "service update", Text: "--constraint-add", Alias: "", Provider: "", Description: "Add or update a placement constraint"},
	{Argument: "service update", Text: "--constraint-rm", Alias: "", Provider: "", Description: "Remove a constraint"},
	{Argument: "service update", Text: "--container-label-add", Alias: "", Provider: "", Description: "Add or update a container label"},
	{Argument: "service update", Text: "--container-label-rm", Alias: "", Provider: "", Description: "Remove a container label by its key"},
	{Argument: "service update", Text: "--credential-spec", Alias: "", Provider: "", Description: "Credential spec for managed service account (Windows only)"},
	{Argument: "service update", Text: "--detach", Alias: "-d", Provider: "bool", Description: "Exit immediately instead of waiting for the service to converge"},
	{Argument: "service update", Text: "--dns-add", Alias: "", Provider: "", Description: "Add or update a custom DNS server"},
	{Argument: "service update", Text: "--dns-option-add", Alias: "", Provider: "", Description: "Add or update a DNS option"},
	{Argument: "service update", Text: "--dns-option-rm", Alias: "", Provider: "", Description: "Remove a DNS option"},
	{Argument: "service update", Text: "--dns-rm", Alias: "", Provider: "", Description: "Remove a custom DNS server"},
	{Argument: "service update", Text: "--dns-search-add", Alias: "", Provider: "", Description: "Add or update a custom DNS search domain"},
	{Argument: "service update", Text: "--dns-search-rm", Alias: "", Provider: "", Description: "Remove a DNS search domain"},
	{Argument: "service update", Text: "--endpoint-mode", Alias: "", Provider: "", Description: "Endpoint mode (vip or dnsrr)"},
	{Argument: "service update", Text: "--entrypoint", Alias: "", Provider: "", Description: "Overwrite the default ENTRYPOINT of the image"},
	{Argument: "service update", Text: "--env-add", Alias: "", Provider: "", Description: "Add or update an environment variable"},
	{Argument: "service update", Text: "--env-rm", Alias: "", Provider: "", Description: "Remove an environment variable"},
	{Argument: "service update", Text: "--force", Alias: "", Provider: "bool", Description: "Force update even if no changes require it"},
	{Argument: "service update", Text: "--generic-resource-add", Alias: "", Provider: "", Description: "Add a Generic resource"},
	{Argument: "service update", Text: "--generic-resource-rm", Alias: "", Provider: "", Description: "Remove a Generic resource"},
	{Argument: "service update", Text: "--group-add", Alias: "", Provider: "", Description: "Add an additional supplementary user group to the container"},
	{Argument: "service update", Text: "--group-rm", Alias: "", Provider: "", Description: "Remove a previously added supplementary user group from the container"},
	{Argument: "service update", Text: "--health-cmd", Alias: "", Provider: "", Description: "Command to run to check health"},
	{Argument: "service update", Text: "--health-interval", Alias: "", Provider: "", Description: "Time between running the check (ms|s|m|h)"},
	{Argument: "service update", Text: "--health-retries", Alias: "", Provider: "", Description: "Consecutive failures needed to report unhealthy"},
	{Argument: "service update", Text: "--health-start-period", Alias: "", Provider: "", Description: "Start period for the container to initialize before counting retries towards unstable (ms|s|m|h)"},
	{Argument: "service update", Text: "--health-timeout", Alias: "", Provider: "", Description: "Maximum time to allow one check to run (ms|s|m|h)"},
	{Argument: "service update", Text: "--host-add", Alias: "", Provider: "", Description: "Add a custom host-to-IP mapping (host:ip)"},
	{Argument: "service update", Text: "--host-rm", Alias: "", Provider: "", Description: "Remove a custom host-to-IP mapping (host:ip)"},
	{Argument: "service update", Text: "--hostname", Alias: "", Provider: "", Description: "Container hostname"},
	{Argument: "service update", Text: "--image", Alias: "", Provider: "", Description: "Service image tag"},
	{Argument: "service update", Text: "--init", Alias: "", Provider: "", Description: "Use an init inside each service container to forward signals and reap processes"},
	{Argument: "service update", Text: "--isolation", Alias: "", Provider: "", Description: "Service container isolation mode"},
	{Argument: "service update", Text: "--label-add", Alias: "", Provider: "", Description: "Add or update a service label"},
	{Argument: "service update", Text: "--label-rm", Alias: "", Provider: "", Description: "Remove a label by its key"},
	{Argument: "service update", Text: "--limit-cpu", Alias: "", Provider: "", Description: "Limit CPUs"},
	{Argument: "service update", Text: "--limit-memory", Alias: "", Provider: "", Description: "Limit Memory"},
	{Argument: "service update", Text: "--limit-pids", Alias: "", Provider: "", Description: "Limit maximum number of processes (default 0 = unlimited)"},
	{Argument: "service update", Text: "--log-driver", Alias: "", Provider: "", Description: "Logging driver for service"},
	{Argument: "service update", Text: "--log-opt", Alias: "", Provider: "", Description: "Logging driver options"},
	{Argument: "service update", Text: "--max-concurrent", Alias: "", Provider: "", Description: "Number of job tasks to run concurrently (default equal to --replicas)"},
	{Argument: "service update", Text: "--mount-add", Alias: "", Provider: "", Description: "Add or update a mount on a service"},
	{Argument: "service update", Text: "--mount-rm", Alias: "", Provider: "", Description: "Remove a mount by its target path"},
	{Argument: "service update", Text: "--network-add", Alias: "", Provider: "", Description: "Add a network"},
	{Argument: "service update", Text: "--network-rm", Alias: "", Provider: "", Description: "Remove a network"},
	{Argument: "service update", Text: "--no-healthcheck", Alias: "", Provider: "bool", Description: "Disable any container-specified HEALTHCHECK"},
	{Argument: "service update", Text: "--no-resolve-image", Alias: "", Provider: "bool", Description: "Do not query the registry to resolve image digest and supported platforms"},
	{Argument: "service update", Text: "--placement-pref-add", Alias: "", Provider: "", Description: "Add a placement preference"},
	{Argument: "service update", Text: "--placement-pref-rm", Alias: "", Provider: "", Description: "Remove a placement preference"},
	{Argument: "service update", Text: "--publish-add", Alias: "", Provider: "", Description: "Add or update a published port"},
	{Argument: "service update", Text: "--publish-rm", Alias: "", Provider: "", Description: "Remove a published port by its target port"},
	{Argument: "service update", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Suppress progress output"},
	{Argument: "service update", Text: "--read-only", Alias: "", Provider: "bool", Description: "Mount the container's root filesystem as read only"},
	{Argument: "service update", Text: "--replicas", Alias: "", Provider: "", Description: "Number of tasks"},
	{Argument: "service update", Text: "--replicas-max-per-node", Alias: "", Provider: "", Description: "Maximum number of tasks per node (default 0 = unlimited)"},
	{Argument: "service update", Text: "--reserve-cpu", Alias: "", Provider: "", Description: "Reserve CPUs"},
	{Argument: "service update", Text: "--reserve-memory", Alias: "", Provider: "", Description: "Reserve Memory"},
	{Argument: "service update", Text: "--restart-condition", Alias: "", Provider: "", Description: "Restart when condition is met ('none'|'on-failure'|'any')"},
	{Argument: "service update", Text: "--restart-delay", Alias: "", Provider: "", Description: "Delay between restart attempts (ns|us|ms|s|m|h)"},
	{Argument: "service update", Text: "--restart-max-attempts", Alias: "", Provider: "", Description: "Maximum number of restarts before giving up"},
	{Argument: "service update", Text: "--restart-window", Alias: "", Provider: "", Description: "Window used to evaluate the restart policy (ns|us|ms|s|m|h)"},
	{Argument: "service update", Text: "--rollback", Alias: "", Provider: "bool", Description: "Rollback to previous specification"},
	{Argument: "service update", Text: "--rollback-delay", Alias: "", Provider: "", Description: "Delay between task rollbacks (ns|us|ms|s|m|h)"},
	{Argument: "service update", Text: "--rollback-failure-action", Alias: "", Provider: "", Description: "Action on rollback failure ('pause'|'continue')"},
	{Argument: "service update", Text: "--rollback-max-failure-ratio", Alias: "", Provider: "", Description: "Failure rate to tolerate during a rollback"},
	{Argument: "service update", Text: "--rollback-monitor", Alias: "", Provider: "", Description: "Duration after each task rollback to monitor for failure (ns|us|ms|s|m|h)"},
	{Argument: "service update", Text: "--rollback-order", Alias: "", Provider: "", Description: "Rollback order ('start-first'|'stop-first')"},
	{Argument: "service update", Text: "--rollback-parallelism", Alias: "", Provider: "", Description: "Maximum number of tasks rolled back simultaneously (0 to roll back all at once)"},
	{Argument: "service update", Text: "--secret-add", Alias: "", Provider: "", Description: "Add or update a secret on a service"},
	{Argument: "service update", Text: "--secret-rm", Alias: "", Provider: "", Description: "Remove a secret"},
	{Argument: "service update", Text: "--stop-grace-period", Alias: "", Provider: "", Description: "Time to wait before force killing a container (ns|us|ms|s|m|h)"},
	{Argument: "service update", Text: "--stop-signal", Alias: "", Provider: "", Description: "Signal to stop the container"},
	{Argument: "service update", Text: "--sysctl-add", Alias: "", Provider: "", Description: "Add or update a Sysctl option"},
	{Argument: "service update", Text: "--sysctl-rm", Alias: "", Provider: "bool", Description: "Remove a Sysctl option"},
	{Argument: "service update", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Allocate a pseudo-TTY"},
	{Argument: "service update", Text: "--ulimit-add", Alias: "", Provider: "", Description: "Add or update a ulimit option"},
	{Argument: "service update", Text: "--ulimit-rm", Alias: "", Provider: "", Description: "Remove a ulimit option"},
	{Argument: "service update", Text: "--update-delay", Alias: "", Provider: "", Description: "Delay between updates (ns|us|ms|s|m|h)"},
	{Argument: "service update", Text: "--update-failure-action", Alias: "", Provider: "", Description: "Action on update failure ('pause'|'continue'|'rollback')"},
	{Argument: "service update", Text: "--update-max-failure-ratio", Alias: "", Provider: "", Description: "Failure rate to tolerate during an update"},
	{Argument: "service update", Text: "--update-monitor", Alias: "", Provider: "", Description: "Duration after each task update to monitor for failure (ns|us|ms|s|m|h)"},
	{Argument: "service update", Text: "--update-order", Alias: "", Provider: "", Description: "Update order ('start-first'|'stop-first')"},
	{Argument: "service update", Text: "--update-parallelism", Alias: "", Provider: "", Description: "Maximum number of tasks updated simultaneously (0 to update all at once)"},
	{Argument: "service update", Text: "--user", Alias: "-u", Provider: "", Description: "Username or UID (format: <name|uid>[:<group|gid>])"},
	{Argument: "service update", Text: "--with-registry-auth", Alias: "", Provider: "", Description: "Send registry authentication details to swarm agents"},
	{Argument: "service update", Text: "--workdir", Alias: "-w", Provider: "path", Description: "Working directory inside the container"},
	{Argument: "stack deploy", Text: "--compose-file", Alias: "-c", Provider: "path", Description: "Path to a Compose file, or '-' to read from stdin"},
	{Argument: "stack deploy", Text: "--namespace", Alias: "", Provider: "namespace", Description: "Kubernetes namespace to use"},
	{Argument: "stack deploy", Text: "--prune", Alias: "", Provider: "", Description: "Prune services that are no longer referenced"},
	{Argument: "stack deploy", Text: "--resolve-image", Alias: "", Provider: "", Description: "Query the registry to resolve image digest and supported platforms ('always'|'changed'|'never')"},
	{Argument: "stack deploy", Text: "--with-registry-auth", Alias: "", Provider: "", Description: "Send registry authentication details to Swarm agents"},
	{Argument: "stack deploy", Text: "--kubeconfig", Alias: "", Provider: "path", Description: "Kubernetes config file"},
	{Argument: "stack deploy", Text: "--orchestrator", Alias: "", Provider: "orchestrator", Description: "Orchestrator to use (swarm|kubernetes|all)"},
	{Argument: "stack ls", Text: "--all-namespaces", Alias: "", Provider: "bool", Description: "List stacks from all Kubernetes namespaces"},
	{Argument: "stack ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print stacks using a Go template"},
	{Argument: "stack ls", Text: "--namespace", Alias: "", Provider: "namespace", Description: "Kubernetes namespaces to use"},
	{Argument: "stack ls", Text: "--kubeconfig", Alias: "", Provider: "path", Description: "Kubernetes config file"},
	{Argument: "stack ls", Text: "--orchestrator", Alias: "", Provider: "orchestrator", Description: "Orchestrator to use (swarm|kubernetes|all)"},
	{Argument: "stack ps", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "stack ps", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print tasks using a Go template"},
	{Argument: "stack ps", Text: "--namespace", Alias: "", Provider: "namespace", Description: "Kubernetes namespace to use"},
	{Argument: "stack ps", Text: "--no-resolve", Alias: "", Provider: "bool", Description: "Do not map IDs to Names"},
	{Argument: "stack ps", Text: "--no-trunc", Alias: "", Provider: "bool", Description: "Do not truncate output"},
	{Argument: "stack ps", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display task IDs"},
	{Argument: "stack ps", Text: "--kubeconfig", Alias: "", Provider: "path", Description: "Kubernetes"},
	{Argument: "stack ps", Text: "--orchestrator", Alias: "", Provider: "orchestrator", Description: "Orchestrator to use (swarm|kubernetes|all)"},
	{Argument: "stack rm", Text: "--kubeconfig", Alias: "", Provider: "path", Description: "Kubernetes config file"},
	{Argument: "stack rm", Text: "--orchestrator", Alias: "", Provider: "orchestrator", Description: "Orchestrator to use (swarm|kubernetes|all)"},
	{Argument: "stack rm", Text: "--namespace", Alias: "", Provider: "namespace", Description: "Kubernetes namespace to use"},
	{Argument: "stack services", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "stack services", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print services using a Go template"},
	{Argument: "stack services", Text: "--namespace", Alias: "", Provider: "namespace", Description: "Kubernetes namespace to use"},
	{Argument: "stack services", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only display IDs"},
	{Argument: "stack services", Text: "--kubeconfig", Alias: "", Provider: "path", Description: "Kubernetes config file"},
	{Argument: "stack services", Text: "--orchestrator", Alias: "", Provider: "orchestrator", Description: "Orchestrator to use (swarm|kubernetes|all)"},
	{Argument: "start", Text: "--attach", Alias: "-a", Provider: "", Description: "Attach STDOUT/STDERR and forward signals"},
	{Argument: "start", Text: "--checkpoint", Alias: "", Provider: "", Description: "Restore from this checkpoint"},
	{Argument: "start", Text: "--checkpoint-dir", Alias: "", Provider: "path", Description: "Use a custom checkpoint storage directory"},
	{Argument: "start", Text: "--detach-keys", Alias: "", Provider: "", Description: "Override the key sequence for detaching a container"},
	{Argument: "start", Text: "--interactive", Alias: "-i", Provider: "bool", Description: "Attach container's STDIN"},
	{Argument: "stop", Text: "--time", Alias: "-t", Provider: "", Description: "Seconds to wait for stop before killing it"},
	{Argument: "system df", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print images using a Go template"},
	{Argument: "system df", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Show detailed information on space usage"},
	{Argument: "system events", Text: "--filter", Alias: "-f", Provider: "", Description: "Filter output based on conditions provided"},
	{Argument: "system events", Text: "--format", Alias: "", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "system events", Text: "--since", Alias: "", Provider: "", Description: "Show all events created since timestamp"},
	{Argument: "system events", Text: "--until", Alias: "", Provider: "", Description: "Stream events until this timestamp"},
	{Argument: "system info", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "trust key generate", Text: "--dir", Alias: "", Provider: "path", Description: "Directory to generate key in, defaults to current directory"},
	{Argument: "trust key load", Text: "--name", Alias: "", Provider: "", Description: "Name for the loaded key"},
	{Argument: "trust revoke", Text: "--yes", Alias: "-y", Provider: "bool", Description: "Do not prompt for confirmation"},
	{Argument: "trust sign", Text: "--local", Alias: "", Provider: "", Description: "Sign a locally tagged image"},
	{Argument: "trust signer add", Text: "--key", Alias: "", Provider: "", Description: "Path to the signer's public key file"},
	{Argument: "trust signer remove", Text: "--force", Alias: "-f", Provider: "bool", Description: "Do not prompt for confirmation before removing the most recent signer"},
	{Argument: "update", Text: "--blkio-weight", Alias: "", Provider: "", Description: "Block IO (relative weight), between 10 and 1000, or 0 to disable (default 0)"},
	{Argument: "update", Text: "--cpu-period", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) period"},
	{Argument: "update", Text: "--cpu-quota", Alias: "", Provider: "", Description: "Limit CPU CFS (Completely Fair Scheduler) quota"},
	{Argument: "update", Text: "--cpu-rt-period", Alias: "", Provider: "", Description: "Limit the CPU real-time period in microseconds"},
	{Argument: "update", Text: "--cpu-rt-runtime", Alias: "", Provider: "", Description: "Limit the CPU real-time runtime in microseconds"},
	{Argument: "update", Text: "--cpu-shares", Alias: "-c", Provider: "", Description: "CPU shares (relative weight)"},
	{Argument: "update", Text: "--cpus", Alias: "", Provider: "", Description: "Number of CPUs"},
	{Argument: "update", Text: "--cpuset-cpus", Alias: "", Provider: "", Description: "CPUs in which to allow execution (0-3, 0,1)"},
	{Argument: "update", Text: "--cpuset-mems", Alias: "", Provider: "", Description: "MEMs in which to allow execution (0-3, 0,1)"},
	{Argument: "update", Text: "--kernel-memory", Alias: "", Provider: "", Description: "Kernel memory limit"},
	{Argument: "update", Text: "--memory", Alias: "-m", Provider: "", Description: "Memory limit"},
	{Argument: "update", Text: "--memory-reservation", Alias: "", Provider: "", Description: "Memory soft limit"},
	{Argument: "update", Text: "--memory-swap", Alias: "", Provider: "", Description: "Swap limit equal to memory plus swap: '-1' to enable unlimited swap"},
	{Argument: "update", Text: "--pids-limit", Alias: "", Provider: "", Description: "Tune container pids limit (set -1 for unlimited)"},
	{Argument: "update", Text: "--restart", Alias: "", Provider: "bool", Description: "Restart policy to apply when a container exits"},
	{Argument: "version", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "version", Text: "--kubeconfig", Alias: "", Provider: "path", Description: "Kubernetes config file"},
	{Argument: "volume create", Text: "--driver", Alias: "-d", Provider: "", Description: "Specify volume driver name"},
	{Argument: "volume create", Text: "--label", Alias: "", Provider: "", Description: "Set metadata for a volume"},
	{Argument: "volume create", Text: "--name", Alias: "", Provider: "", Description: "Specify volume name"},
	{Argument: "volume create", Text: "--opt", Alias: "-o", Provider: "", Description: "Set driver specific options"},
	{Argument: "volume inspect", Text: "--format", Alias: "-f", Provider: "", Description: "Format the output using the given Go template"},
	{Argument: "volume ls", Text: "--filter", Alias: "-f", Provider: "", Description: "Provide filter values (e.g. 'dangling=true')"},
	{Argument: "volume ls", Text: "--format", Alias: "", Provider: "", Description: "Pretty-print volumes using a Go template"},
	{Argument: "volume ls", Text: "--quiet", Alias: "-q", Provider: "", Description: "Only display volume names"},
	{Argument: "volume prune", Text: "--filter", Alias: "", Provider: "", Description: "Provide filter values (e.g. 'dangling=true')"},
	{Argument: "volume prune", Text: "--force", Alias: "-f", Provider: "bool", Description: "Do not prompt for confirmation"},
	{Argument: "volume rm", Text: "--force", Alias: "-f", Provider: "bool", Description: "Force the removal of one or more volumes"},
}
